/// @file xed-enc-groups.c

// This file was automatically generated.
// Do not edit this file.

/*BEGIN_LEGAL

Copyright (c) 2016 Intel Corporation

  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

      http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
  
END_LEGAL */
#include "xed-internal-header.h"
#include "xed-encode-private.h"
#include "xed-enc-operand-lu.h"
#include "xed-operand-accessors.h"
#include "xed-encoder.h"
xed_bool_t xed_encode_group_0(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[3][2] = {
   /*      SLDT*/    {   1,   0,},
   /*      SMSW*/    {2658,2657,},
   /*       STR*/    {1951,1950,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_REG0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_W);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_1(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[3][2] = {
   /* VMOVMSKPD*/    {   2,   3,},
   /* VMOVMSKPS*/    {  10,  11,},
   /* VPMOVMSKB*/    {5282,5283,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_2(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[25][2] = {
   /*  CVTDQ2PS*/    {4554,4553,},
   /*  SHA1MSG1*/    {6352,6353,},
   /*  SHA1MSG2*/    {6347,6348,},
   /* SHA1NEXTE*/    {1686,1687,},
   /*SHA256MSG1*/    { 954, 955,},
   /*SHA256MSG2*/    { 952, 953,},
   /*SHA256RNDS2*/    {1616,1617,},
   /*  UNPCKHPS*/    {   5,   4,},
   /*  UNPCKLPS*/    { 389, 388,},
   /*   VAESIMC*/    {2136,2137,},
   /*  VPHADDBD*/    { 494, 493,},
   /*  VPHADDBQ*/    { 480, 479,},
   /*  VPHADDBW*/    { 491, 490,},
   /*  VPHADDDQ*/    {1368,1367,},
   /* VPHADDUBD*/    {3452,3451,},
   /* VPHADDUBQ*/    {3454,3453,},
   /* VPHADDUBW*/    {3456,3455,},
   /* VPHADDUDQ*/    { 896, 895,},
   /* VPHADDUWD*/    {3013,3012,},
   /* VPHADDUWQ*/    {2993,2992,},
   /*  VPHADDWD*/    {1135,1134,},
   /*  VPHADDWQ*/    {1124,1123,},
   /*  VPHSUBBW*/    {5195,5194,},
   /*  VPHSUBDQ*/    {5985,5984,},
   /*  VPHSUBWD*/    { 105, 104,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_3(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[27][2] = {
   /*    AESDEC*/    {6083,6084,},
   /*AESDECLAST*/    {5670,5671,},
   /*    AESENC*/    {5250,5251,},
   /*AESENCLAST*/    { 637, 638,},
   /*    AESIMC*/    {2330,2331,},
   /*  BLENDVPD*/    {1531,1530,},
   /*  BLENDVPS*/    {1493,1492,},
   /*  PACKUSDW*/    { 654, 653,},
   /*  PBLENDVB*/    {6426,6425,},
   /*   PCMPEQQ*/    {3536,3535,},
   /*   PCMPGTQ*/    {4994,4993,},
   /*PHMINPOSUW*/    {5066,5065,},
   /*    PMAXSB*/    {3723,3722,},
   /*    PMAXSD*/    {3725,3724,},
   /*    PMAXUD*/    {2934,2933,},
   /*    PMAXUW*/    {2932,2931,},
   /*    PMINSB*/    { 996, 995,},
   /*    PMINSD*/    { 999, 998,},
   /*    PMINUD*/    {4619,4618,},
   /*    PMINUW*/    {4615,4614,},
   /*    PMULDQ*/    {4012,4011,},
   /*    PMULLD*/    { 516, 515,},
   /*     PTEST*/    {5496,5495,},
   /*PUNPCKHQDQ*/    { 767, 766,},
   /*PUNPCKLQDQ*/    {3560,3559,},
   /*  UNPCKHPD*/    {   7,   6,},
   /*  UNPCKLPD*/    { 397, 396,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_4(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[18][2] = {
   /*     CMOVB*/    {1339,1338,},
   /*    CMOVBE*/    {1656,1655,},
   /*     CMOVL*/    {1335,1334,},
   /*    CMOVLE*/    {1847,1846,},
   /*    CMOVNB*/    {2795,2794,},
   /*   CMOVNBE*/    {5210,5209,},
   /*    CMOVNL*/    {2791,2790,},
   /*   CMOVNLE*/    {3424,3423,},
   /*    CMOVNO*/    {2789,2788,},
   /*    CMOVNP*/    {2787,2786,},
   /*    CMOVNS*/    {2785,2784,},
   /*    CMOVNZ*/    {2778,2777,},
   /*     CMOVO*/    {1337,1336,},
   /*     CMOVP*/    {1330,1329,},
   /*     CMOVS*/    {1332,1331,},
   /*     CMOVZ*/    {1328,1327,},
   /*    POPCNT*/    {   9,   8,},
   /*     TZCNT*/    {1824,1823,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_5(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[21][10] = {
   /* VPACKSSWB*/    {4861,4863,4860,4862,4864,4866,4868,4865,4867,4869,},
   /* VPACKUSWB*/    {3751,3753,3750,3752,3754,3756,3758,3755,3757,3759,},
   /*   VPADDSW*/    { 662, 664, 661, 663, 665, 667, 669, 666, 668, 670,},
   /*  VPADDUSW*/    {3779,3781,3778,3780,3782,3784,3786,3783,3785,3787,},
   /*    VPADDW*/    { 981, 983, 980, 982, 984, 986, 988, 985, 987, 989,},
   /*    VPAVGW*/    {5093,5095,5092,5094,5096,5098,5100,5097,5099,5101,},
   /*VPMADDUBSW*/    { 826, 828, 825, 827, 829, 831, 833, 830, 832, 834,},
   /*  VPMADDWD*/    {5736,5738,5735,5737,5739,5741,5743,5740,5742,5744,},
   /*   VPMAXSW*/    {5145,5147,5144,5146,5148,5150,5152,5149,5151,5153,},
   /*   VPMAXUW*/    {5929,5931,5928,5930,5932,5934,5936,5933,5935,5937,},
   /*   VPMINSW*/    {1919,1921,1918,1920,1922,1924,1926,1923,1925,1927,},
   /*   VPMINUW*/    {4638,4640,4637,4639,4641,4643,4645,4642,4644,4646,},
   /* VPMULHRSW*/    {3276,3278,3275,3277,3279,3281,3283,3280,3282,3284,},
   /*  VPMULHUW*/    {  13,  15,  12,  14,  16,  18,  20,  17,  19,  21,},
   /*   VPMULHW*/    {3808,3810,3807,3809,3811,3813,3815,3812,3814,3816,},
   /*   VPMULLW*/    {5862,5864,5861,5863,5865,5867,5869,5866,5868,5870,},
   /*   VPSUBSW*/    {4781,4783,4780,4782,4784,4786,4788,4785,4787,4789,},
   /*  VPSUBUSW*/    {5685,5687,5684,5686,5688,5690,5692,5689,5691,5693,},
   /*    VPSUBW*/    {2866,2868,2865,2867,2869,2871,2873,2870,2872,2874,},
   /*VPUNPCKHWD*/    {3159,3161,3158,3160,3162,3164,3166,3163,3165,3167,},
   /*VPUNPCKLWD*/    {2473,2475,2472,2474,2476,2478,2480,2477,2479,2481,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_ZD);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_6(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[6][3] = {
   /*VPBROADCASTMB2Q*/    {1345,1346,1344,},
   /*VPBROADCASTMW2D*/    {4448,4449,4447,},
   /*  VPMOVM2B*/    {  22,  23,  24,},
   /*  VPMOVM2D*/    {5346,5347,5348,},
   /*  VPMOVM2Q*/    {6411,6412,6413,},
   /*  VPMOVM2W*/    {5310,5311,5312,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_7(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[12][6] = {
   /* VBLENDMPS*/    {6321,6323,6319,6322,6324,6320,},
   /*    VPANDD*/    {2206,2208,2204,2207,2209,2205,},
   /*   VPANDND*/    {2335,2337,2333,2336,2338,2334,},
   /* VPBLENDMD*/    {3389,3391,3387,3390,3392,3388,},
   /*  VPERMI2D*/    {4282,4284,4280,4283,4285,4281,},
   /* VPERMI2PS*/    {6358,6360,6356,6359,6361,6357,},
   /*  VPERMT2D*/    {2996,2998,2994,2997,2999,2995,},
   /* VPERMT2PS*/    {6102,6104,6100,6103,6105,6101,},
   /*     VPORD*/    {4557,4559,4555,4558,4560,4556,},
   /*   VPROLVD*/    {  27,  29,  25,  28,  30,  26,},
   /*   VPRORVD*/    {6066,6068,6064,6067,6069,6065,},
   /*    VPXORD*/    {2923,2925,2921,2924,2926,2922,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_8(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[14][1] = {
   /*    FCMOVB*/    {4303,},
   /*   FCMOVBE*/    {1873,},
   /*    FCMOVE*/    {4302,},
   /*   FCMOVNB*/    { 196,},
   /*  FCMOVNBE*/    {5683,},
   /*   FCMOVNE*/    { 233,},
   /*   FCMOVNU*/    { 171,},
   /*    FCMOVU*/    {4297,},
   /*     FCOMI*/    { 360,},
   /*    FCOMIP*/    { 177,},
   /*     FUCOM*/    {  31,},
   /*    FUCOMI*/    {6155,},
   /*   FUCOMIP*/    {4808,},
   /*    FUCOMP*/    {6148,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_reg0(xes) == XED_REG_ST0) &&
		 xed_encode_ntluf_X87(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_9(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[4][1] = {
   /*  RDFSBASE*/    {2656,},
   /*  RDGSBASE*/    {6407,},
   /*  WRFSBASE*/    {5789,},
   /*  WRGSBASE*/    {  32,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPRy_B(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_10(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[21][6] = {
   /* VBLENDMPD*/    {6335,6337,6333,6336,6338,6334,},
   /*   VPANDNQ*/    { 392, 394, 390, 393, 395, 391,},
   /*    VPANDQ*/    {2216,2218,2214,2217,2219,2215,},
   /* VPBLENDMQ*/    {3369,3371,3367,3370,3372,3368,},
   /* VPERMI2PD*/    {6268,6270,6266,6269,6271,6267,},
   /*  VPERMI2Q*/    { 439, 441, 437, 440, 442, 438,},
   /* VPERMT2PD*/    {6093,6095,6091,6094,6096,6092,},
   /*  VPERMT2Q*/    {3016,3018,3014,3017,3019,3015,},
   /*VPMADD52HUQ*/    {1936,1938,1940,1937,1939,1941,},
   /*VPMADD52LUQ*/    {2896,2898,2900,2897,2899,2901,},
   /*   VPMAXSQ*/    {5164,5166,5162,5165,5167,5163,},
   /*   VPMAXUQ*/    {5922,5924,5920,5923,5925,5921,},
   /*   VPMINSQ*/    {1930,1932,1928,1931,1933,1929,},
   /*   VPMINUQ*/    {4633,4635,4631,4634,4636,4632,},
   /*   VPMULLQ*/    {5855,5857,5859,5856,5858,5860,},
   /*VPMULTISHIFTQB*/    {1417,1419,1421,1418,1420,1422,},
   /*     VPORQ*/    {4817,4819,4815,4818,4820,4816,},
   /*   VPROLVQ*/    {  35,  37,  33,  36,  38,  34,},
   /*   VPRORVQ*/    {6027,6029,6025,6028,6030,6026,},
   /*   VPSRAVQ*/    {3844,3846,3842,3845,3847,3843,},
   /*    VPXORQ*/    {2910,2912,2908,2911,2913,2909,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_11(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[4][1] = {
   /* V4FMADDPS*/    {5191,},
   /*V4FNMADDPS*/    {  39,},
   /* VP4DPWSSD*/    {5758,},
   /*VP4DPWSSDS*/    {1732,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_TUPLE1_4X_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_12(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][2] = {
   /*    VRCPSS*/    {  41,  40,},
   /*  VRSQRTSS*/    {3508,3507,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_13(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[16][4] = {
   /*        JB*/    {3922,3923,3921,3924,},
   /*       JBE*/    {5791,5792,5790,5793,},
   /*        JL*/    {3913,3914,3912,3915,},
   /*       JLE*/    {1086,1087,1085,1088,},
   /*       JNB*/    {  61,  62,  60,  63,},
   /*      JNBE*/    {1875,1876,1874,1877,},
   /*       JNL*/    {  78,  79,  77,  80,},
   /*      JNLE*/    {4922,4923,4921,4924,},
   /*       JNO*/    {  74,  75,  73,  76,},
   /*       JNP*/    {  53,  54,  52,  55,},
   /*       JNS*/    {  43,  44,  42,  45,},
   /*       JNZ*/    {  57,  58,  56,  59,},
   /*        JO*/    {4949,4951,4948,4950,},
   /*        JP*/    {3905,3906,3904,3907,},
   /*        JS*/    {3909,3910,3908,3911,},
   /*        JZ*/    {3901,3902,3900,3903,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_RELBR) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 (xed3_operand_get_relbr(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_BRANCH_HINT_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_BRDISP8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_RELBR) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 (xed3_operand_get_relbr(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_BRANCH_HINT_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_BRDISPz_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_RELBR) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 (xed3_operand_get_relbr(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FORCE64_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_BRANCH_HINT_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_BRDISP8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_RELBR) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 (xed3_operand_get_relbr(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FORCE64_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_BRANCH_HINT_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_BRDISP32_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_14(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][6] = {
   /*   VALIGNQ*/    {1171,1173,1169,1172,1174,1170,},
   /*VPTERNLOGQ*/    {  48,  50,  46,  49,  51,  47,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_15(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[6][2] = {
   /*  PMOVSXBW*/    {4151,4150,},
   /*  PMOVSXDQ*/    {5199,5198,},
   /*  PMOVSXWD*/    {  65,  64,},
   /*  PMOVZXBW*/    {1647,1646,},
   /*  PMOVZXDQ*/    {2649,2648,},
   /*  PMOVZXWD*/    {4848,4847,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_16(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][6] = {
   /*   VALIGND*/    {1190,1192,1188,1191,1193,1189,},
   /*VPTERNLOGD*/    {  68,  70,  66,  69,  71,  67,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_17(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[104][1] = {
   /*      CLAC*/    {1461,},
   /*       CLC*/    {2414,},
   /*       CLD*/    {2400,},
   /*      CLGI*/    { 772,},
   /*       CLI*/    {2399,},
   /*      CLTS*/    {2916,},
   /*       CMC*/    {1652,},
   /*     CPUID*/    {2672,},
   /*      EMMS*/    {4181,},
   /*     ENCLS*/    {2458,},
   /*     ENCLU*/    {2460,},
   /*     F2XM1*/    { 958,},
   /*      FABS*/    {1200,},
   /*      FCHS*/    {4916,},
   /*    FCOMPP*/    {5190,},
   /*      FCOS*/    {5395,},
   /*   FDECSTP*/    {2980,},
   /*FDISI8087_NOP*/    {2690,},
   /*     FEMMS*/    {2736,},
   /*FENI8087_NOP*/    {5193,},
   /*   FINCSTP*/    {1041,},
   /*      FLD1*/    {3134,},
   /*    FLDL2E*/    {4964,},
   /*    FLDL2T*/    {4957,},
   /*    FLDLG2*/    {1435,},
   /*    FLDLN2*/    {1533,},
   /*     FLDPI*/    { 849,},
   /*      FLDZ*/    {2991,},
   /*    FNCLEX*/    {1201,},
   /*    FNINIT*/    {5476,},
   /*      FNOP*/    {5462,},
   /*    FPATAN*/    {4133,},
   /*     FPREM*/    { 979,},
   /*    FPREM1*/    { 696,},
   /*     FPTAN*/    {3595,},
   /*   FRNDINT*/    {5275,},
   /*    FSCALE*/    {2316,},
   /*FSETPM287_NOP*/    {2116,},
   /*      FSIN*/    {5939,},
   /*   FSINCOS*/    {6363,},
   /*     FSQRT*/    {3342,},
   /*      FTST*/    {5759,},
   /*   FUCOMPP*/    {4648,},
   /*     FWAIT*/    { 911,},
   /*      FXAM*/    { 581,},
   /*   FXTRACT*/    {5182,},
   /*     FYL2X*/    {4995,},
   /*   FYL2XP1*/    {5274,},
   /*    GETSEC*/    {2446,},
   /*       HLT*/    { 170,},
   /*      INSB*/    {2706,},
   /*      INT1*/    {2530,},
   /*      INT3*/    {2531,},
   /*      INVD*/    {1384,},
   /*      LAHF*/    {3306,},
   /*    LFENCE*/    {1213,},
   /*    MFENCE*/    {2987,},
   /*   MONITOR*/    {2275,},
   /*     MWAIT*/    {6433,},
   /*      NOP2*/    {  88,},
   /*      NOP3*/    {  87,},
   /*      NOP4*/    {  92,},
   /*      NOP5*/    { 697,},
   /*      NOP6*/    {  94,},
   /*      NOP7*/    {  93,},
   /*      NOP8*/    {  82,},
   /*      NOP9*/    {  81,},
   /*     PAUSE*/    {6408,},
   /*     RDMSR*/    {3958,},
   /*    RDPKRU*/    {4256,},
   /*     RDPMC*/    {1532,},
   /*     RDTSC*/    {4167,},
   /*    RDTSCP*/    {1431,},
   /*REPE_SCASB*/    {1645,},
   /*REPNE_SCASB*/    {2588,},
   /*       RSM*/    {3479,},
   /*      SAHF*/    {2817,},
   /*     SCASB*/    {5607,},
   /*    SFENCE*/    {5600,},
   /*      STAC*/    {5287,},
   /*       STC*/    {1947,},
   /*       STD*/    {1946,},
   /*      STGI*/    {2663,},
   /*       STI*/    {1948,},
   /*     STOSB*/    {4269,},
   /*  SYSENTER*/    {2548,},
   /*   SYSEXIT*/    {  72,},
   /*       UD2*/    {6097,},
   /*    VMCALL*/    {5701,},
   /*    VMFUNC*/    {2662,},
   /*  VMLAUNCH*/    {5286,},
   /*   VMMCALL*/    {4194,},
   /*  VMRESUME*/    {1618,},
   /*    VMSAVE*/    {5075,},
   /*    VMXOFF*/    {4207,},
   /*  VZEROALL*/    {2586,},
   /*VZEROUPPER*/    {2650,},
   /*    WBINVD*/    {2332,},
   /*     WRMSR*/    {4925,},
   /*    WRPKRU*/    {5256,},
   /*      XEND*/    { 507,},
   /*    XGETBV*/    { 693,},
   /*    XSETBV*/    {5170,},
   /*     XTEST*/    {3135,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = 1;
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_18(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[59][4] = {
   /*     PABSB*/    {6036,6035,6038,6037,},
   /*     PABSD*/    {6011,6010,6013,6012,},
   /*     PABSW*/    {6051,6050,6053,6052,},
   /*  PACKSSDW*/    {3569,3568,3571,3570,},
   /*  PACKSSWB*/    {1562,1561,1564,1563,},
   /*  PACKUSWB*/    { 181, 180, 183, 182,},
   /*     PADDB*/    {3744,3743,3746,3745,},
   /*     PADDD*/    {3740,3739,3742,3741,},
   /*     PADDQ*/    {3767,3766,3769,3768,},
   /*    PADDSB*/    {2760,2759,2762,2761,},
   /*    PADDSW*/    {3470,3469,3472,3471,},
   /*   PADDUSB*/    {1989,1988,1991,1990,},
   /*   PADDUSW*/    {1969,1968,1971,1970,},
   /*     PADDW*/    {3761,3760,3763,3762,},
   /*      PAND*/    {3709,3708,3711,3710,},
   /*     PANDN*/    { 945, 944, 947, 946,},
   /*     PAVGB*/    {4724,4723,4726,4725,},
   /*     PAVGW*/    {4689,4688,4691,4690,},
   /*   PCMPEQB*/    {3550,3549,3552,3551,},
   /*   PCMPEQD*/    {2940,2939,2942,2941,},
   /*   PCMPEQW*/    {3543,3542,3545,3544,},
   /*   PCMPGTB*/    {5013,5012,5015,5014,},
   /*   PCMPGTD*/    {5027,5026,5029,5028,},
   /*   PCMPGTW*/    {5003,5002,5005,5004,},
   /*    PHADDD*/    {5518,5517,5520,5519,},
   /*   PHADDSW*/    {3439,3438,3441,3440,},
   /*    PHADDW*/    {5525,5524,5527,5526,},
   /*    PHSUBD*/    {  84,  83,  86,  85,},
   /*   PHSUBSW*/    {5278,5277,5280,5279,},
   /*    PHSUBW*/    { 101, 100, 103, 102,},
   /* PMADDUBSW*/    {1981,1980,1983,1982,},
   /*   PMADDWD*/    {6107,6106,6109,6108,},
   /*    PMAXSW*/    {3719,3718,3721,3720,},
   /*    PMAXUB*/    {2936,2935,2938,2937,},
   /*    PMINSW*/    {1044,1043,1046,1045,},
   /*    PMINUB*/    {4628,4627,4630,4629,},
   /*  PMULHRSW*/    {  97,  96,  99,  98,},
   /*   PMULHUW*/    {2904,2903,2906,2905,},
   /*    PMULHW*/    {1020,1019,1022,1021,},
   /*    PMULLW*/    { 510, 509, 512, 511,},
   /*   PMULUDQ*/    {1364,1363,1366,1365,},
   /*       POR*/    { 803, 802, 805, 804,},
   /*    PSADBW*/    {6245,6244,6247,6246,},
   /*    PSHUFB*/    {5778,5777,5780,5779,},
   /*    PSIGNB*/    {5159,5158,5161,5160,},
   /*    PSIGND*/    {5155,5154,5157,5156,},
   /*    PSIGNW*/    {5115,5114,5117,5116,},
   /*     PSUBB*/    {2308,2307,2310,2309,},
   /*     PSUBD*/    {2304,2303,2306,2305,},
   /*     PSUBQ*/    {2322,2321,2324,2323,},
   /*    PSUBSB*/    {6326,6325,6328,6327,},
   /*    PSUBSW*/    {6308,6307,6310,6309,},
   /*   PSUBUSB*/    {3195,3194,3197,3196,},
   /*   PSUBUSW*/    {3210,3209,3212,3211,},
   /*     PSUBW*/    {2318,2317,2320,2319,},
   /* PUNPCKHBW*/    {4452,4451,4454,4453,},
   /* PUNPCKHDQ*/    {1636,1635,1638,1637,},
   /* PUNPCKHWD*/    {1406,1405,1408,1407,},
   /*      PXOR*/    {2250,2249,2252,2251,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_MMX_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MMX_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_MMX_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_19(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[3][3] = {
   /*     BNDCL*/    {  91,  90,  89,},
   /*     BNDCN*/    { 706, 705, 704,},
   /*     BNDCU*/    { 761, 760, 759,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mpxmode(xes) == 1) &&
		 (xed3_operand_get_mode(xes) != 2) &&
		 xed_encode_ntluf_BND_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mpxmode(xes) == 1) &&
		 (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_BND_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR64_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_AGEN) {
   conditions_satisfied = (xed3_operand_get_mpxmode(xes) == 1) &&
		 xed_encode_ntluf_BND_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_agen(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_20(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][1] = {
   /*    LLWPCB*/    {3822,},
   /*    SLWPCB*/    {  95,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_REG0) {
   conditions_satisfied = xed_encode_ntluf_GPRy_B(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_21(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /*       LSL*/    { 107, 106,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPRz_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_W);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_22(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[3][1] = {
   /*       LFS*/    {3393,},
   /*       LGS*/    {3897,},
   /*       LSS*/    { 108,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_P2);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_23(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][4] = {
   /*VINSERTF64X2*/    { 109, 111, 110, 112,},
   /*VINSERTI64X2*/    {4230,4232,4231,4233,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_TUPLE2_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_TUPLE2_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_24(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][1] = {
   /*     MOVSD*/    { 113,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) == 2);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_OVERRIDE_SEG1_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_25(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[14][10] = {
   /*    VPADDB*/    {1007,1009,1006,1008,1010,1012,1014,1011,1013,1015,},
   /*   VPADDSB*/    { 682, 684, 681, 683, 685, 687, 689, 686, 688, 690,},
   /*  VPADDUSB*/    {4215,4217,4214,4216,4218,4220,4222,4219,4221,4223,},
   /*    VPAVGB*/    {5105,5107,5104,5106,5108,5110,5112,5109,5111,5113,},
   /*   VPMAXSB*/    {5129,5131,5128,5130,5132,5134,5136,5133,5135,5137,},
   /*   VPMAXUB*/    {5891,5893,5890,5892,5894,5896,5898,5895,5897,5899,},
   /*   VPMINSB*/    {1905,1907,1904,1906,1908,1910,1912,1909,1911,1913,},
   /*   VPMINUB*/    {4650,4652,4649,4651,4653,4655,4657,4654,4656,4658,},
   /*   VPSHUFB*/    {1203,1205,1202,1204,1206,1208,1210,1207,1209,1211,},
   /*    VPSUBB*/    {2830,2832,2829,2831,2833,2835,2837,2834,2836,2838,},
   /*   VPSUBSB*/    {4601,4603,4600,4602,4604,4606,4608,4605,4607,4609,},
   /*  VPSUBUSB*/    {5673,5675,5672,5674,5676,5678,5680,5677,5679,5681,},
   /*VPUNPCKHBW*/    {4711,4713,4710,4712,4714,4716,4718,4715,4717,4719,},
   /*VPUNPCKLBW*/    { 115, 117, 114, 116, 118, 120, 122, 119, 121, 123,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_ZD);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_26(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][2] = {
   /*VINSERTF64X4*/    { 124, 125,},
   /*VINSERTI64X4*/    {4234,4235,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_TUPLE4_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_27(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[3][6] = {
   /*   VPMOVDB*/    {3310,3312,3308,3311,3309,3313,},
   /*  VPMOVSDB*/    { 128, 130, 126, 129, 127, 131,},
   /* VPMOVUSDB*/    {3803,3805,3801,3804,3802,3806,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_QUARTERMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_QUARTERMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_QUARTERMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_28(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[3][6] = {
   /*      BLSI*/    {6421,6422,6424,6419,6420,6423,},
   /*    BLSMSK*/    { 134, 135, 137, 132, 133, 136,},
   /*      BLSR*/    {6429,6430,6432,6427,6428,6431,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 xed_encode_ntluf_VGPR32_N(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_VGPR32_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_VGPR32_N(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_VGPR32_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_VGPR64_N(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_VGPR64_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 xed_encode_ntluf_VGPR32_N(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_VGPR32_N(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_VGPR64_N(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_29(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][4] = {
   /*      ADCX*/    {4821,4823,4822,4824,},
   /*      ADOX*/    { 138, 140, 139, 141,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IMMUNE66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPR64_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR64_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IMMUNE66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_IMMUNE66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_GPR64_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_IMMUNE66_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_30(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[3][6] = {
   /*   VPMOVDW*/    {3320,3322,3318,3323,3321,3319,},
   /*  VPMOVSDW*/    { 144, 146, 142, 147, 145, 143,},
   /* VPMOVUSDW*/    {4437,4439,4435,4440,4438,4436,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_HALFMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_HALFMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_HALFMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_31(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /*  CVTPI2PD*/    { 149, 148,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MMX_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_32(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][20] = {
   /* VPERMILPS*/    { 151, 153, 155, 150, 157, 152, 154, 156, 164, 168, 160, 162, 166, 158, 165, 169, 161, 163, 167, 159,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[14], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[14], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][11]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][12]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][13]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][14]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][15]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][16]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][17]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][18]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][19]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_33(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][5] = {
   /*VGATHERQPD*/    { 173, 172, 175, 176, 174,},
   /*VPGATHERQQ*/    {4023,4022,4025,4026,4024,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[18], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_easz(xes) != 1) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_VMODRM_XMM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[18], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_easz(xes) != 1) &&
		 xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_VMODRM_YMM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_easz(xes) != 1) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASKNOT0(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UISA_VMODRM_XMM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GSCAT_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_easz(xes) != 1) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASKNOT0(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UISA_VMODRM_YMM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GSCAT_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_easz(xes) != 1) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASKNOT0(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_ZD);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UISA_VMODRM_ZMM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GSCAT_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_34(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /*  CVTPI2PS*/    { 179, 178,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MMX_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_35(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[4][2] = {
   /*   VAESDEC*/    { 184, 185,},
   /*VAESDECLAST*/    {3502,3503,},
   /*   VAESENC*/    {5354,5355,},
   /*VAESENCLAST*/    { 764, 765,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_36(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][1] = {
   /*      POPF*/    {3185,},
   /*     PUSHF*/    { 186,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_DF64_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_37(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[5][4] = {
   /*       DIV*/    {2711,2713,2710,2712,},
   /*      IDIV*/    {2161,2163,2160,2162,},
   /*       MUL*/    {5445,5447,5444,5446,},
   /*       NEG*/    {4611,4613,4610,4612,},
   /*       NOT*/    { 188, 190, 187, 189,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_REG0) {
   conditions_satisfied = xed_encode_ntluf_GPR8_B(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_REG0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_38(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][5] = {
   /*VGATHERQPS*/    { 191, 192, 195, 194, 193,},
   /*VPGATHERQD*/    {2277,2278,2281,2280,2279,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[18], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_easz(xes) != 1) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_VMODRM_YMM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[18], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_easz(xes) != 1) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_VMODRM_XMM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_easz(xes) != 1) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASKNOT0(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UISA_VMODRM_YMM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GSCAT_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_easz(xes) != 1) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASKNOT0(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UISA_VMODRM_XMM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GSCAT_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_easz(xes) != 1) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASKNOT0(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UISA_VMODRM_ZMM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GSCAT_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_39(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][32] = {
   /*       NOP*/    { 223, 224, 229, 230, 226, 227, 228, 197, 198, 199, 200, 202, 204, 206, 208, 210, 216, 218, 220, 222, 225, 201, 203, 205, 207, 209, 215, 217, 219, 221, 231, 232,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = 1;
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = 1;
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mpxmode(xes) == 0) &&
		 xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mpxmode(xes) == 0) &&
		 xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mpxmode(xes) == 1) &&
		 xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mpxmode(xes) == 1) &&
		 xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mpxmode(xes) == 1) &&
		 xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_REG0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_REG0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_REG0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_REG0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_REG0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][11]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_REG0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][12]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_REG0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][13]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_REG0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][14]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][15]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][16]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][17]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][18]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][19]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][20]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][21]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][22]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][23]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][24]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][25]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][26]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][27]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][28]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][29]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mpxmode(xes) == 0) &&
		 xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][30]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mpxmode(xes) == 0) &&
		 xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][31]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_40(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][20] = {
   /* VPERMILPD*/    { 235, 237, 239, 234, 241, 236, 238, 240, 248, 252, 244, 246, 250, 242, 249, 253, 245, 247, 251, 243,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[14], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[14], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][11]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][12]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][13]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][14]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][15]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][16]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][17]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][18]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][19]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_41(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][10] = {
   /*  VPCMPEQW*/    { 255, 257, 254, 256, 258, 260, 262, 259, 261, 263,},
   /*  VPCMPGTW*/    {4771,4773,4770,4772,4774,4776,4778,4775,4777,4779,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_ZD);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_42(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][10] = {
   /*  VPCMPEQQ*/    { 265, 267, 264, 266, 270, 272, 268, 271, 273, 269,},
   /*  VPCMPGTQ*/    {4761,4763,4760,4762,4766,4768,4764,4767,4769,4765,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_43(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[5][6] = {
   /*  ADC_LOCK*/    { 278, 279, 274, 277, 275, 276,},
   /*  ADD_LOCK*/    {1129,1130,1125,1128,1126,1127,},
   /*   OR_LOCK*/    {2582,2583,2578,2581,2579,2580,},
   /*  SBB_LOCK*/    {2704,2705,2700,2703,2701,2702,},
   /*  SUB_LOCK*/    {3774,3775,3770,3773,3771,3772,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B) &&
		 xed_encode_ntluf_GPR8_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMMz_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_44(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[6][2] = {
   /*  ADDSUBPS*/    { 281, 280,},
   /* CVTTPS2DQ*/    {2270,2269,},
   /*    HADDPS*/    {3577,3576,},
   /*    HSUBPS*/    {1993,1992,},
   /*  MOVSHDUP*/    {5285,5284,},
   /*  MOVSLDUP*/    {2543,2542,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IGNORE66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_PS);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IGNORE66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_45(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][10] = {
   /*  VPCMPEQD*/    { 283, 285, 282, 284, 288, 290, 286, 289, 291, 287,},
   /*  VPCMPGTD*/    {4749,4751,4748,4750,4754,4756,4752,4755,4757,4753,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_46(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][10] = {
   /*  VPCMPEQB*/    { 293, 295, 292, 294, 296, 298, 300, 297, 299, 301,},
   /*  VPCMPGTB*/    {4739,4741,4738,4740,4742,4744,4746,4743,4745,4747,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_ZD);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_47(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[16][2] = {
   /*     ADDPD*/    { 791, 790,},
   /*  ADDSUBPD*/    { 303, 302,},
   /*    ANDNPD*/    {3380,3379,},
   /*     ANDPD*/    {4799,4798,},
   /*  CVTPD2PS*/    {4579,4578,},
   /* CVTTPD2DQ*/    {5761,5760,},
   /*     DIVPD*/    {3262,3261,},
   /*    HADDPD*/    {3566,3565,},
   /*    HSUBPD*/    {2008,2007,},
   /*     MAXPD*/    {1460,1459,},
   /*     MINPD*/    {2689,2688,},
   /*     MULPD*/    {1241,1240,},
   /*      ORPD*/    {5246,5245,},
   /*    SQRTPD*/    {5700,5699,},
   /*     SUBPD*/    {5698,5697,},
   /*     XORPD*/    { 701, 700,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_PD);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_48(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][1] = {
   /*VBROADCASTF64X4*/    { 652,},
   /*VBROADCASTI64X4*/    { 304,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_TUPLE4_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_49(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][2] = {
   /*VBROADCASTF64X2*/    {3457,3458,},
   /*VBROADCASTI64X2*/    { 305, 306,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_TUPLE2_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_TUPLE2_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_50(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[14][10] = {
   /*   VANDNPD*/    {5748,5750,5747,5749,5751,5753,5755,5752,5754,5756,},
   /*    VANDPD*/    { 308, 310, 307, 309, 311, 313, 315, 312, 314, 316,},
   /*     VORPD*/    {6233,6235,6232,6234,6236,6238,6240,6237,6239,6241,},
   /*    VPADDQ*/    { 970, 972, 969, 971, 975, 977, 973, 976, 978, 974,},
   /*   VPMULDQ*/    {2260,2262,2259,2261,2265,2267,2263,2266,2268,2264,},
   /*  VPMULUDQ*/    { 411, 413, 410, 412, 416, 418, 414, 417, 419, 415,},
   /*   VPSLLVQ*/    {4878,4880,4877,4879,4883,4885,4881,4884,4886,4882,},
   /*   VPSRLVQ*/    {1761,1763,1760,1762,1766,1768,1764,1767,1769,1765,},
   /*    VPSUBQ*/    {2856,2858,2855,2857,2861,2863,2859,2862,2864,2860,},
   /*VPUNPCKHQDQ*/    { 715, 717, 714, 716, 720, 722, 718, 721, 723, 719,},
   /*VPUNPCKLQDQ*/    {5941,5943,5940,5942,5946,5948,5944,5947,5949,5945,},
   /* VUNPCKHPD*/    { 458, 460, 457, 459, 463, 465, 461, 464, 466, 462,},
   /* VUNPCKLPD*/    {3041,3043,3040,3042,3046,3048,3044,3047,3049,3045,},
   /*    VXORPD*/    { 793, 795, 792, 794, 796, 798, 800, 797, 799, 801,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_51(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[5][6] = {
   /*     BEXTR*/    {5178,5179,5181,5176,5177,5180,},
   /*      BZHI*/    {2003,2004,2006,2001,2002,2005,},
   /*      SARX*/    {1850,1851,1853,1848,1849,1852,},
   /*      SHLX*/    {2798,2799,2801,2796,2797,2800,},
   /*      SHRX*/    { 319, 320, 322, 317, 318, 321,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 xed_encode_ntluf_VGPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_VGPR32_B(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_VGPR32_N(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_VGPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_VGPR32_B(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_VGPR32_N(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_VGPR64_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_VGPR64_B(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_VGPR64_N(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[18], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 xed_encode_ntluf_VGPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D) &&
		 xed_encode_ntluf_VGPR32_N(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[18], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_VGPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D) &&
		 xed_encode_ntluf_VGPR32_N(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[18], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_VGPR64_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 xed_encode_ntluf_VGPR64_N(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_52(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[20][10] = {
   /*   VANDNPS*/    {5726,5728,5725,5727,5729,5731,5733,5730,5732,5734,},
   /*    VANDPS*/    { 324, 326, 323, 325, 327, 329, 331, 328, 330, 332,},
   /*     VORPS*/    {6257,6259,6256,6258,6260,6262,6264,6261,6263,6265,},
   /* VPACKSSDW*/    {5218,5220,5217,5219,5221,5223,5225,5222,5224,5226,},
   /* VPACKUSDW*/    {5901,5903,5900,5902,5904,5906,5908,5905,5907,5909,},
   /*    VPADDD*/    {1032,1034,1031,1033,1037,1039,1035,1038,1040,1036,},
   /*   VPMAXSD*/    {5119,5121,5118,5120,5124,5126,5122,5125,5127,5123,},
   /*   VPMAXUD*/    {5911,5913,5910,5912,5916,5918,5914,5917,5919,5915,},
   /*   VPMINSD*/    {1894,1896,1893,1895,1899,1901,1897,1900,1902,1898,},
   /*   VPMINUD*/    {4660,4662,4659,4661,4665,4667,4663,4666,4668,4664,},
   /*   VPMULLD*/    {5826,5828,5825,5827,5831,5833,5829,5832,5834,5830,},
   /*   VPSLLVD*/    {4828,4830,4827,4829,4833,4835,4831,4834,4836,4832,},
   /*   VPSRAVD*/    {3868,3870,3867,3869,3873,3875,3871,3874,3876,3872,},
   /*   VPSRLVD*/    {1803,1805,1802,1804,1808,1810,1806,1809,1811,1807,},
   /*    VPSUBD*/    {2842,2844,2841,2843,2847,2849,2845,2848,2850,2846,},
   /*VPUNPCKHDQ*/    {3640,3642,3639,3641,3645,3647,3643,3646,3648,3644,},
   /*VPUNPCKLDQ*/    {2819,2821,2818,2820,2824,2826,2822,2825,2827,2823,},
   /* VUNPCKHPS*/    { 444, 446, 443, 445, 449, 451, 447, 450, 452, 448,},
   /* VUNPCKLPS*/    {3026,3028,3025,3027,3031,3033,3029,3032,3034,3030,},
   /*    VXORPS*/    { 836, 838, 835, 837, 839, 841, 843, 840, 842, 844,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_53(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[4][2] = {
   /*  DEC_LOCK*/    { 333, 334,},
   /*  INC_LOCK*/    {5745,5746,},
   /*  NEG_LOCK*/    {4800,4801,},
   /*  NOT_LOCK*/    { 467, 468,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_54(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][1] = {
   /*    PSLLDQ*/    { 335,},
   /*    PSRLDQ*/    {3749,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_55(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[4][6] = {
   /*    VPROTB*/    { 374, 376, 373, 372, 375, 371,},
   /*    VPROTD*/    { 380, 382, 379, 378, 381, 377,},
   /*    VPROTQ*/    { 339, 341, 338, 337, 340, 336,},
   /*    VPROTW*/    { 357, 359, 356, 355, 358, 354,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[18], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[14], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_56(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[6][12] = {
   /*       RCL*/    { 351, 353, 350, 352, 347, 343, 349, 345, 346, 342, 348, 344,},
   /*       RCR*/    {4248,4250,4247,4249,4244,4240,4246,4242,4243,4239,4245,4241,},
   /*       ROL*/    {6145,6147,6144,6146,6141,6137,6143,6139,6140,6136,6142,6138,},
   /*       ROR*/    {6192,6194,6191,6193,6188,6184,6190,6185,6187,6183,6189,6186,},
   /*       SAR*/    { 504, 506, 503, 505, 500, 496, 502, 498, 499, 495, 501, 497,},
   /*       SHR*/    {3625,3627,3624,3626,3621,3617,3623,3619,3620,3616,3622,3618,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPR8_B(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_reg1(xes) == XED_REG_CL);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_reg1(xes) == XED_REG_CL);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B) &&
		 (xed3_operand_get_reg0(xes) == XED_REG_CL);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 (xed3_operand_get_reg0(xes) == XED_REG_CL);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = xed_encode_ntluf_GPR8_B(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_ONE_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = xed_encode_ntluf_GPR8_B(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_ONE_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ONE_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ONE_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][11]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_57(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][10] = {
   /*  VPSHUFHW*/    { 362, 364, 361, 363, 365, 367, 369, 366, 368, 370,},
   /*  VPSHUFLW*/    {2140,2142,2139,2141,2143,2145,2147,2144,2146,2148,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[14], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[14], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_ZD) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_58(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][5] = {
   /*     FCOMP*/    { 384, 385, 386, 387, 383,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_reg0(xes) == XED_REG_ST0) &&
		 xed_encode_ntluf_X87(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_reg0(xes) == XED_REG_ST0) &&
		 xed_encode_ntluf_X87(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_reg0(xes) == XED_REG_ST0) &&
		 xed_encode_ntluf_X87(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_reg0(xes) == XED_REG_ST0) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_M64REAL);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_reg0(xes) == XED_REG_ST0) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_MEM32REAL);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_59(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[3][1] = {
   /*      CDQE*/    { 398,},
   /*       CQO*/    {4450,},
   /*     IRETQ*/    {1481,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) == 3) &&
		 (xed3_operand_get_mode(xes) == 2);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_60(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[22][11] = {
   /*    VADDPS*/    {4173,4169,4171,4168,4170,4175,4177,4172,4176,4178,4174,},
   /*    VDIVPS*/    {2127,2123,2125,2122,2124,2129,2131,2126,2130,2132,2128,},
   /*VFMADD132PS*/    {2638,2634,2636,2633,2635,2640,2642,2637,2641,2643,2639,},
   /*VFMADD213PS*/    {3142,3138,3140,3137,3139,3144,3146,3141,3145,3147,3143,},
   /*VFMADD231PS*/    { 817, 813, 815, 812, 814, 819, 821, 816, 820, 822, 818,},
   /*VFMADDSUB132PS*/    {1570,1566,1568,1565,1567,1572,1574,1569,1573,1575,1571,},
   /*VFMADDSUB213PS*/    {3069,3065,3067,3064,3066,3071,3073,3068,3072,3074,3070,},
   /*VFMADDSUB231PS*/    {3203,3199,3201,3198,3200,3205,3207,3202,3206,3208,3204,},
   /*VFMSUB132PS*/    {1680,1676,1678,1675,1677,1682,1684,1679,1683,1685,1681,},
   /*VFMSUB213PS*/    { 404, 400, 402, 399, 401, 406, 408, 403, 407, 409, 405,},
   /*VFMSUB231PS*/    {5329,5325,5327,5324,5326,5331,5333,5328,5332,5334,5330,},
   /*VFMSUBADD132PS*/    {4547,4543,4545,4542,4544,4549,4551,4546,4550,4552,4548,},
   /*VFMSUBADD213PS*/    {2154,2150,2152,2149,2151,2156,2158,2153,2157,2159,2155,},
   /*VFMSUBADD231PS*/    {4572,4568,4570,4567,4569,4574,4576,4571,4575,4577,4573,},
   /*VFNMADD132PS*/    {6387,6383,6385,6382,6384,6389,6391,6386,6390,6392,6388,},
   /*VFNMADD213PS*/    {5293,5289,5291,5288,5290,5295,5297,5292,5296,5298,5294,},
   /*VFNMADD231PS*/    {2951,2947,2949,2946,2948,2953,2955,2950,2954,2956,2952,},
   /*VFNMSUB132PS*/    { 752, 748, 750, 747, 749, 754, 756, 751, 755, 757, 753,},
   /*VFNMSUB213PS*/    {6044,6040,6042,6039,6041,6046,6048,6043,6047,6049,6045,},
   /*VFNMSUB231PS*/    {5840,5836,5838,5835,5837,5842,5844,5839,5843,5845,5841,},
   /*    VMULPS*/    {3411,3407,3409,3406,3408,3413,3415,3410,3414,3416,3412,},
   /*    VSUBPS*/    {5652,5648,5650,5647,5649,5654,5656,5651,5655,5657,5653,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = (xed3_operand_get_roundc(xes) != 0) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN512_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_AVX512_ROUND_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_61(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[22][11] = {
   /*    VADDPD*/    {4157,4153,4155,4152,4154,4159,4161,4156,4160,4162,4158,},
   /*    VDIVPD*/    {2110,2106,2108,2105,2107,2112,2114,2109,2113,2115,2111,},
   /*VFMADD132PD*/    {2627,2623,2625,2622,2624,2629,2631,2626,2630,2632,2628,},
   /*VFMADD213PD*/    {3128,3124,3126,3123,3125,3130,3132,3127,3131,3133,3129,},
   /*VFMADD231PD*/    { 784, 780, 782, 779, 781, 786, 788, 783, 787, 789, 785,},
   /*VFMADDSUB132PD*/    {1549,1545,1547,1544,1546,1551,1553,1548,1552,1554,1550,},
   /*VFMADDSUB213PD*/    {3089,3085,3087,3084,3086,3091,3093,3088,3092,3094,3090,},
   /*VFMADDSUB231PD*/    {3223,3219,3221,3218,3220,3225,3227,3222,3226,3228,3224,},
   /*VFMSUB132PD*/    {1695,1691,1693,1690,1692,1697,1699,1694,1698,1700,1696,},
   /*VFMSUB213PD*/    { 425, 421, 423, 420, 422, 427, 429, 424, 428, 430, 426,},
   /*VFMSUB231PD*/    {5304,5300,5302,5299,5301,5306,5308,5303,5307,5309,5305,},
   /*VFMSUBADD132PD*/    {2886,2882,2884,2881,2883,2888,2890,2885,2889,2891,2887,},
   /*VFMSUBADD213PD*/    {2169,2165,2167,2164,2166,2171,2173,2168,2172,2174,2170,},
   /*VFMSUBADD231PD*/    {4585,4581,4583,4580,4582,4587,4589,4584,4588,4590,4586,},
   /*VFNMADD132PD*/    {6369,6365,6367,6364,6366,6371,6373,6368,6372,6374,6370,},
   /*VFNMADD213PD*/    {5340,5336,5338,5335,5337,5342,5344,5339,5343,5345,5341,},
   /*VFNMADD231PD*/    {2974,2970,2972,2969,2971,2976,2978,2973,2977,2979,2975,},
   /*VFNMSUB132PD*/    { 733, 729, 731, 728, 730, 735, 737, 732, 736, 738, 734,},
   /*VFNMSUB213PD*/    {6077,6073,6075,6072,6074,6079,6081,6076,6080,6082,6078,},
   /*VFNMSUB231PD*/    {5876,5872,5874,5871,5873,5878,5880,5875,5879,5881,5877,},
   /*    VMULPD*/    {3695,3691,3693,3690,3692,3697,3699,3694,3698,3700,3696,},
   /*    VSUBPD*/    {5641,5637,5639,5636,5638,5643,5645,5640,5644,5646,5642,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = (xed3_operand_get_roundc(xes) != 0) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN512_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_AVX512_ROUND_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_62(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[7][1] = {
   /*     FADDP*/    {3343,},
   /*     FDIVP*/    {1090,},
   /*    FDIVRP*/    {2828,},
   /*     FMULP*/    {2783,},
   /*   FSTPNCE*/    {2577,},
   /*     FSUBP*/    {1949,},
   /*    FSUBRP*/    { 431,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_X87(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_reg1(xes) == XED_REG_ST0);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_63(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][4] = {
   /*    MOVDQA*/    { 433, 435, 432, 434,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_64(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[4][1] = {
   /*   LDMXCSR*/    { 436,},
   /*   STMXCSR*/    {1403,},
   /*  VLDMXCSR*/    {3546,},
   /*  VSTMXCSR*/    {1903,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_65(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][4] = {
   /*VSHUFF32X4*/    { 455, 453, 456, 454,},
   /*VSHUFI32X4*/    {2502,2500,2503,2501,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_66(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][5] = {
   /*   VCOMISD*/    { 472, 470, 469, 471, 473,},
   /*  VUCOMISD*/    {3216,3214,3213,3215,3217,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_sae(xes) != 0) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN128_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SAE_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_SCALAR_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_67(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][5] = {
   /*   VCOMISS*/    { 477, 475, 474, 476, 478,},
   /*  VUCOMISS*/    {1121,1119,1118,1120,1122,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_sae(xes) != 0) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN128_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SAE_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_SCALAR_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_68(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][6] = {
   /*VCVTUSI2SS*/    { 485, 482, 484, 481, 486, 483,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_roundc(xes) != 0) &&
		 (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_GPR64_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN128_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_AVX512_ROUND_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_roundc(xes) != 0) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN128_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_AVX512_ROUND_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_GPR64_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GPR_READER_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GPR_READER_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_69(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[4][3] = {
   /*  VPMOVB2M*/    { 487, 488, 489,},
   /*  VPMOVD2M*/    {3337,3338,3339,},
   /*  VPMOVQ2M*/    {2659,2660,2661,},
   /*  VPMOVW2M*/    {5396,5397,5398,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_70(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[8][1] = {
   /*       CBW*/    {5074,},
   /*       CWD*/    { 857,},
   /*      INSW*/    {2709,},
   /*      IRET*/    {5846,},
   /*REPE_SCASW*/    {1641,},
   /*REPNE_SCASW*/    {2600,},
   /*     SCASW*/    {5590,},
   /*     STOSW*/    { 492,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_71(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[4][1] = {
   /*REPE_SCASQ*/    {1642,},
   /*REPNE_SCASQ*/    {2596,},
   /*     SCASQ*/    {5599,},
   /*     STOSQ*/    { 508,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) == 3);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_72(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[4][2] = {
   /*  PMOVSXBD*/    {4132,4131,},
   /*  PMOVSXWQ*/    { 514, 513,},
   /*  PMOVZXBD*/    {1651,1650,},
   /*  PMOVZXWQ*/    {4826,4825,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_73(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][6] = {
   /*VFPCLASSPS*/    { 517, 519, 521, 518, 520, 522,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_74(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[13][8] = {
   /*  VFMADDPD*/    {1410,1412,1414,1416,1409,1411,1413,1415,},
   /*  VFMADDPS*/    {1424,1426,1428,1430,1423,1425,1427,1429,},
   /*VFMADDSUBPD*/    {3290,3292,3294,3296,3289,3291,3293,3295,},
   /*VFMADDSUBPS*/    {3299,3301,3303,3305,3298,3300,3302,3304,},
   /*VFMSUBADDPD*/    {3076,3078,3080,3082,3075,3077,3079,3081,},
   /*VFMSUBADDPS*/    {3108,3110,3112,3114,3107,3109,3111,3113,},
   /*  VFMSUBPD*/    {4066,4068,4070,4072,4065,4067,4069,4071,},
   /*  VFMSUBPS*/    {4084,4086,4088,4090,4083,4085,4087,4089,},
   /* VFNMADDPD*/    { 556, 558, 560, 562, 555, 557, 559, 561,},
   /* VFNMADDPS*/    { 524, 526, 528, 530, 523, 525, 527, 529,},
   /* VFNMSUBPD*/    {5609,5611,5613,5615,5608,5610,5612,5614,},
   /* VFNMSUBPS*/    {5592,5594,5596,5598,5591,5593,5595,5597,},
   /*    VPCMOV*/    {5764,5766,5768,5770,5763,5765,5767,5769,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_SE(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_SE_IMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_SE(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_SE_IMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_SE(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_SE_IMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_SE(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_SE_IMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[22], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 xed_encode_ntluf_XMM_SE(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SE_IMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_SE(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SE_IMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[22], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 xed_encode_ntluf_YMM_SE(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SE_IMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_SE(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SE_IMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_75(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[17][5] = {
   /*    VADDSS*/    {4873,4871,4870,4872,4874,},
   /*    VDIVSS*/    {2556,2554,2553,2555,2557,},
   /*VFMADD132SS*/    {3861,3859,3858,3860,3862,},
   /*VFMADD213SS*/    {4840,4838,4837,4839,4841,},
   /*VFMADD231SS*/    {2314,2312,2311,2313,2315,},
   /*VFMSUB132SS*/    { 534, 532, 531, 533, 535,},
   /*VFMSUB213SS*/    { 967, 965, 964, 966, 968,},
   /*VFMSUB231SS*/    {4016,4014,4013,4015,4017,},
   /*VFNMADD132SS*/    {5958,5956,5955,5957,5959,},
   /*VFNMADD213SS*/    {5053,5051,5050,5052,5054,},
   /*VFNMADD231SS*/    {2561,2559,2558,2560,2562,},
   /*VFNMSUB132SS*/    {1111,1109,1108,1110,1112,},
   /*VFNMSUB213SS*/    {1163,1161,1160,1162,1164,},
   /*VFNMSUB231SS*/    {6275,6273,6272,6274,6276,},
   /*    VMULSS*/    {5141,5139,5138,5140,5142,},
   /*   VSQRTSS*/    {3494,3492,3491,3493,3495,},
   /*    VSUBSS*/    { 621, 619, 618, 620, 622,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = (xed3_operand_get_roundc(xes) != 0) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN128_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_AVX512_ROUND_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_SCALAR_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_76(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[3][18] = {
   /*    VPSLLD*/    { 537, 540, 538, 536, 541, 539, 546, 550, 542, 548, 552, 544, 547, 551, 543, 549, 553, 545,},
   /*    VPSRAD*/    {2016,2019,2017,2015,2020,2018,2025,2029,2021,2027,2031,2023,2026,2030,2022,2028,2032,2024,},
   /*    VPSRLD*/    {4361,4364,4362,4360,4365,4363,4370,4374,4366,4372,4376,4368,4371,4375,4367,4373,4377,4369,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][11]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][12]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_MEM128_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][13]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_MEM128_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][14]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_MEM128_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][15]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][16]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][17]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_77(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[5][1] = {
   /*     CMPSW*/    {5091,},
   /*     LODSW*/    {3443,},
   /*     OUTSW*/    {4917,},
   /*REPE_CMPSW*/    {4470,},
   /*REPNE_CMPSW*/    { 554,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_OVERRIDE_SEG0_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_78(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][18] = {
   /*    VPSLLQ*/    { 564, 567, 565, 563, 568, 566, 573, 577, 569, 575, 579, 571, 574, 578, 570, 576, 580, 572,},
   /*    VPSRLQ*/    {4323,4326,4324,4322,4327,4325,4332,4336,4328,4334,4338,4330,4333,4337,4329,4335,4339,4331,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][11]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][12]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_MEM128_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][13]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_MEM128_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][14]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_MEM128_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][15]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][16]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][17]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_79(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[6][1] = {
   /*     CMPSB*/    {5102,},
   /*     LODSB*/    {3444,},
   /*     OUTSB*/    {4918,},
   /*REPE_CMPSB*/    {4504,},
   /*REPNE_CMPSB*/    { 582,},
   /*      XLAT*/    {4048,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = 1;
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_OVERRIDE_SEG0_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_80(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[4][1] = {
   /*     CMPSD*/    {5103,},
   /*     LODSD*/    {3445,},
   /*REPE_CMPSD*/    {4478,},
   /*REPNE_CMPSD*/    { 583,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) == 2);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_OVERRIDE_SEG0_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_81(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[3][18] = {
   /*    VPSLLW*/    { 585, 588, 586, 584, 589, 587, 590, 594, 598, 592, 596, 600, 591, 595, 599, 593, 597, 601,},
   /*    VPSRAW*/    {2052,2055,2053,2051,2056,2054,2057,2061,2065,2059,2063,2067,2058,2062,2066,2060,2064,2068,},
   /*    VPSRLW*/    {4305,4308,4306,4304,4309,4307,4310,4314,4318,4312,4316,4320,4311,4315,4319,4313,4317,4321,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][11]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][12]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_MEM128_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][13]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_MEM128_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][14]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_MEM128_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][15]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][16]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_ZD) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][17]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_82(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[18][5] = {
   /*    VADDSD*/    {4845,4843,4842,4844,4846,},
   /* VCVTSD2SS*/    {1372,1370,1369,1371,1373,},
   /*    VDIVSD*/    {2566,2564,2563,2565,2567,},
   /*VFMADD132SD*/    {3836,3834,3833,3835,3837,},
   /*VFMADD213SD*/    {4267,4265,4264,4266,4268,},
   /*VFMADD231SD*/    {2328,2326,2325,2327,2329,},
   /*VFMSUB132SD*/    { 605, 603, 602, 604, 606,},
   /*VFMSUB213SD*/    {5493,5491,5490,5492,5494,},
   /*VFMSUB231SD*/    {3997,3995,3994,3996,3998,},
   /*VFNMADD132SD*/    {5953,5951,5950,5952,5954,},
   /*VFNMADD213SD*/    {5072,5070,5069,5071,5073,},
   /*VFNMADD231SD*/    {2571,2569,2568,2570,2572,},
   /*VFNMSUB132SD*/    {1105,1103,1102,1104,1106,},
   /*VFNMSUB213SD*/    {1217,1215,1214,1216,1218,},
   /*VFNMSUB231SD*/    {6286,6284,6283,6285,6287,},
   /*    VMULSD*/    {5174,5172,5171,5173,5175,},
   /*   VSQRTSD*/    {3483,3481,3480,3482,3484,},
   /*    VSUBSD*/    { 613, 611, 610, 612, 614,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = (xed3_operand_get_roundc(xes) != 0) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN128_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_AVX512_ROUND_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_SCALAR_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_83(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[3][3] = {
   /*   VEXP2PD*/    {2598,2597,2599,},
   /*  VRCP28PD*/    { 608, 607, 609,},
   /*VRSQRT28PD*/    {1017,1016,1018,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_sae(xes) != 0) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN512_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SAE_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_84(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[3][3] = {
   /*   VEXP2PS*/    {2590,2589,2591,},
   /*  VRCP28PS*/    { 616, 615, 617,},
   /*VRSQRT28PS*/    { 991, 990, 992,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_sae(xes) != 0) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN512_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SAE_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_85(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][3] = {
   /*VPSCATTERDQ*/    {6350,6351,6349,},
   /*VSCATTERDPD*/    { 624, 625, 623,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_easz(xes) != 1) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 xed_encode_ntluf_MASKNOT0(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UISA_VMODRM_XMM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GSCAT_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_easz(xes) != 1) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 xed_encode_ntluf_MASKNOT0(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UISA_VMODRM_XMM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GSCAT_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_easz(xes) != 1) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_ZD) &&
		 xed_encode_ntluf_MASKNOT0(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UISA_VMODRM_YMM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GSCAT_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_86(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][6] = {
   /* VDBPSADBW*/    { 626, 628, 630, 627, 629, 631,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_ZD) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_87(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][5] = {
   /*VGATHERDPS*/    { 633, 632, 635, 636, 634,},
   /*VPGATHERDD*/    {1582,1581,1584,1585,1583,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[18], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_easz(xes) != 1) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_VMODRM_XMM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[18], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_easz(xes) != 1) &&
		 xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_VMODRM_YMM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_easz(xes) != 1) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASKNOT0(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UISA_VMODRM_XMM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GSCAT_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_easz(xes) != 1) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASKNOT0(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UISA_VMODRM_YMM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GSCAT_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_easz(xes) != 1) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASKNOT0(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_ZD);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UISA_VMODRM_ZMM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GSCAT_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_88(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][5] = {
   /*VGATHERDPD*/    { 640, 639, 642, 643, 641,},
   /*VPGATHERDQ*/    {1589,1588,1591,1592,1590,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[18], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_easz(xes) != 1) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_VMODRM_XMM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[18], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_easz(xes) != 1) &&
		 xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_VMODRM_XMM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_easz(xes) != 1) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASKNOT0(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UISA_VMODRM_XMM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GSCAT_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_easz(xes) != 1) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASKNOT0(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UISA_VMODRM_XMM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GSCAT_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_easz(xes) != 1) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASKNOT0(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_ZD);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UISA_VMODRM_YMM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GSCAT_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_89(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[4][4] = {
   /*        BT*/    {5989,5988,5987,5986,},
   /*       BTC*/    { 658, 657, 656, 655,},
   /*       BTR*/    { 651, 650, 649, 648,},
   /*       BTS*/    { 647, 646, 645, 644,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_90(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][1] = {
   /*     POPFQ*/    {3505,},
   /*    PUSHFQ*/    { 659,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) == 3) &&
		 (xed3_operand_get_mode(xes) == 2);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_DF64_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_91(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][1] = {
   /*     POPFD*/    {3501,},
   /*    PUSHFD*/    { 660,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) == 2) &&
		 (xed3_operand_get_mode(xes) != 2);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_DF64_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_92(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[4][4] = {
   /*VMASKMOVPD*/    { 673, 674, 671, 672,},
   /*VMASKMOVPS*/    { 679, 680, 677, 678,},
   /*VPMASKMOVD*/    {4432,4433,4430,4431,},
   /*VPMASKMOVQ*/    {2853,2854,2851,2852,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_93(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][1] = {
   /*     FFREE*/    { 675,},
   /*    FFREEP*/    { 676,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_REG0) {
   conditions_satisfied = xed_encode_ntluf_X87(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_94(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[16][2] = {
   /*      SETB*/    {1777,1776,},
   /*     SETBE*/    {1587,1586,},
   /*      SETL*/    {1779,1778,},
   /*     SETLE*/    {6196,6195,},
   /*     SETNB*/    { 699, 698,},
   /*    SETNBE*/    {2483,2482,},
   /*     SETNL*/    { 695, 694,},
   /*    SETNLE*/    {1463,1462,},
   /*     SETNO*/    { 692, 691,},
   /*     SETNP*/    { 713, 712,},
   /*     SETNS*/    { 711, 710,},
   /*     SETNZ*/    {3899,3898,},
   /*      SETO*/    {1781,1780,},
   /*      SETP*/    {1801,1800,},
   /*      SETS*/    {1813,1812,},
   /*      SETZ*/    {1822,1821,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_REG0) {
   conditions_satisfied = xed_encode_ntluf_GPR8_B(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_95(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[12][1] = {
   /*     KNOTB*/    {3881,},
   /*     KNOTD*/    {3882,},
   /*     KNOTQ*/    {3879,},
   /*     KNOTW*/    {3880,},
   /*  KORTESTB*/    { 707,},
   /*  KORTESTD*/    { 702,},
   /*  KORTESTQ*/    {3794,},
   /*  KORTESTW*/    {1282,},
   /*    KTESTB*/    {4036,},
   /*    KTESTD*/    {4035,},
   /*    KTESTQ*/    {5521,},
   /*    KTESTW*/    {4037,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_96(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][1] = {
   /*    RDRAND*/    {2907,},
   /*    RDSEED*/    { 703,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_REG0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_97(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[13][2] = {
   /*     ADDPS*/    { 846, 845,},
   /*    ANDNPS*/    {3395,3394,},
   /*     ANDPS*/    {4810,4809,},
   /*     DIVPS*/    {3260,3259,},
   /*     MAXPS*/    {1465,1464,},
   /*     MINPS*/    {2683,2682,},
   /*     MULPS*/    {1238,1237,},
   /*      ORPS*/    {5248,5247,},
   /*     RCPPS*/    {3157,3156,},
   /*   RSQRTPS*/    {5806,5805,},
   /*    SQRTPS*/    {2537,2536,},
   /*     SUBPS*/    {5703,5702,},
   /*     XORPS*/    { 709, 708,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_PS);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_98(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][2] = {
   /*  CVTPS2PD*/    {4381,4380,},
   /*   VFRCZSD*/    { 725, 724,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_99(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[5][2] = {
   /*      LLDT*/    { 727, 726,},
   /*      LMSW*/    {2893,2892,},
   /*       LTR*/    {3403,3402,},
   /*      VERR*/    {3832,3831,},
   /*      VERW*/    {5559,5558,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_REG0) {
   conditions_satisfied = xed_encode_ntluf_GPR16_B(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_W);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_100(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[27][1] = {
   /*     KADDB*/    {2466,},
   /*     KADDD*/    {2463,},
   /*     KADDQ*/    {2445,},
   /*     KADDW*/    {2444,},
   /*     KANDB*/    { 739,},
   /*     KANDD*/    {4027,},
   /*    KANDNB*/    {2443,},
   /*    KANDND*/    {2447,},
   /*    KANDNQ*/    {2464,},
   /*    KANDNW*/    {1084,},
   /*     KANDQ*/    { 758,},
   /*     KANDW*/    { 746,},
   /*      KORB*/    {3558,},
   /*      KORD*/    {3567,},
   /*      KORQ*/    {3580,},
   /*      KORW*/    {3579,},
   /*  KUNPCKBW*/    {2605,},
   /*  KUNPCKDQ*/    {3396,},
   /*  KUNPCKWD*/    {5601,},
   /*    KXNORB*/    {3578,},
   /*    KXNORD*/    {3326,},
   /*    KXNORQ*/    {3307,},
   /*    KXNORW*/    { 997,},
   /*     KXORB*/    {5169,},
   /*     KXORD*/    {5168,},
   /*     KXORQ*/    {5143,},
   /*     KXORW*/    {4599,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_MASK_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_101(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][4] = {
   /*VEXTRACTF32X4*/    { 742, 740, 743, 741,},
   /*VEXTRACTI32X4*/    {4518,4516,4519,4517,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[23], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_TUPLE4_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[23], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_TUPLE4_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_102(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /*   VFRCZSS*/    { 745, 744,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_103(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[9][2] = {
   /*   BLCFILL*/    {5500,5499,},
   /*      BLCI*/    { 774, 773,},
   /*     BLCIC*/    {2812,2811,},
   /*    BLCMSK*/    {3328,3327,},
   /*      BLCS*/    { 763, 762,},
   /*   BLSFILL*/    {3534,3533,},
   /*     BLSIC*/    {4617,4616,},
   /*    T1MSKC*/    { 910, 909,},
   /*     TZMSK*/    {2840,2839,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPRy_N(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_GPRy_N(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Y);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_104(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[4][1] = {
   /*VGATHERPF0QPD*/    { 768,},
   /*VGATHERPF1QPD*/    {2763,},
   /*VSCATTERPF0QPD*/    {3630,},
   /*VSCATTERPF1QPD*/    {6362,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_easz(xes) != 1) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B) &&
		 xed_encode_ntluf_MASKNOT0(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UISA_VMODRM_ZMM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GSCAT_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_105(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /* CMPSD_XMM*/    { 770, 769,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IGNORE66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[14], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_SD) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IGNORE66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_106(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[8][1] = {
   /*VGATHERPF0DPS*/    {3701,},
   /*VGATHERPF0QPS*/    { 771,},
   /*VGATHERPF1DPS*/    {4275,},
   /*VGATHERPF1QPS*/    {2772,},
   /*VSCATTERPF0DPS*/    {4274,},
   /*VSCATTERPF0QPS*/    {3634,},
   /*VSCATTERPF1DPS*/    {2584,},
   /*VSCATTERPF1QPS*/    {6355,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_easz(xes) != 1) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B) &&
		 xed_encode_ntluf_MASKNOT0(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UISA_VMODRM_ZMM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GSCAT_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_107(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][4] = {
   /*  CVTSD2SI*/    {2774,2776,2773,2775,},
   /* CVTTSD2SI*/    { 776, 778, 775, 777,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IGNORE66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPR64_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IGNORE66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_SD);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IGNORE66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_GPR64_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_SD);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IGNORE66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_108(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][4] = {
   /*     LOOPE*/    { 808, 806, 807, 809,},
   /*    LOOPNE*/    {3588,3586,3587,3589,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_RELBR) {
   conditions_satisfied = (xed3_operand_get_modep5(xes) == 0) &&
		 (xed3_operand_get_relbr(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_DF64_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_BRDISP8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_IMMUNE66_LOOP64_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_RELBR) {
   conditions_satisfied = (xed3_operand_get_modep5(xes) == 1) &&
		 (xed3_operand_get_relbr(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_DF64_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_BRDISP8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_IMMUNE66_LOOP64_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_RELBR) {
   conditions_satisfied = (xed3_operand_get_modep5(xes) == 1) &&
		 (xed3_operand_get_relbr(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_DF64_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_BRDISP8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_IMMUNE66_LOOP64_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_RELBR) {
   conditions_satisfied = (xed3_operand_get_modep5(xes) == 1) &&
		 (xed3_operand_get_relbr(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_DF64_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_BRDISP8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_IMMUNE66_LOOP64_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_109(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /*  VROUNDSD*/    { 811, 810,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_110(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /*  VROUNDSS*/    { 824, 823,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_111(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[24][2] = {
   /*   PAVGUSB*/    {6295,6294,},
   /*     PF2ID*/    {1842,1841,},
   /*     PF2IW*/    {1861,1860,},
   /*     PFACC*/    {1702,1701,},
   /*     PFADD*/    {3153,3152,},
   /*   PFCMPEQ*/    {4116,4115,},
   /*   PFCMPGE*/    {3232,3231,},
   /*   PFCMPGT*/    {3230,3229,},
   /*   PFCPIT1*/    {5197,5196,},
   /*     PFMAX*/    {1640,1639,},
   /*     PFMIN*/    {4406,4405,},
   /*     PFMUL*/    { 848, 847,},
   /*    PFNACC*/    {3674,3673,},
   /*   PFPNACC*/    {1624,1623,},
   /*     PFRCP*/    {2671,2670,},
   /*  PFRCPIT2*/    {1704,1703,},
   /*  PFRSQIT1*/    {3738,3737,},
   /*    PFSQRT*/    {6099,6098,},
   /*     PFSUB*/    {1628,1627,},
   /*    PFSUBR*/    {5669,5668,},
   /*     PI2FD*/    {6034,6033,},
   /*     PI2FW*/    {4180,4179,},
   /*   PMULHRW*/    {5973,5972,},
   /*    PSWAPD*/    {3878,3877,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_MMX_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MMX_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_MMX_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_112(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[19][4] = {
   /* VADDSUBPD*/    {3474,3476,3473,3475,},
   /* VADDSUBPS*/    {3466,3468,3465,3467,},
   /*   VHADDPD*/    { 913, 915, 912, 914,},
   /*   VHADDPS*/    { 851, 853, 850, 852,},
   /*   VHSUBPD*/    {3839,3841,3838,3840,},
   /*   VHSUBPS*/    {3855,3857,3854,3856,},
   /*     VPAND*/    {2176,2178,2175,2177,},
   /*    VPANDN*/    {2180,2182,2179,2181,},
   /*   VPHADDD*/    {3573,3575,3572,3574,},
   /*  VPHADDSW*/    {5659,5661,5658,5660,},
   /*   VPHADDW*/    {3562,3564,3561,3563,},
   /*   VPHSUBD*/    {4147,4149,4146,4148,},
   /*  VPHSUBSW*/    {4812,4814,4811,4813,},
   /*   VPHSUBW*/    {4128,4130,4127,4129,},
   /*      VPOR*/    {5822,5824,5821,5823,},
   /*   VPSIGNB*/    {5506,5508,5505,5507,},
   /*   VPSIGND*/    {5502,5504,5501,5503,},
   /*   VPSIGNW*/    {5487,5489,5486,5488,},
   /*     VPXOR*/    {1957,1959,1956,1958,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_113(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[5][3] = {
   /*VFIXUPIMMSD*/    {4421,4420,4422,},
   /*VGETMANTSD*/    {1844,1843,1845,},
   /*  VRANGESD*/    {4946,4945,4947,},
   /* VREDUCESD*/    {1176,1175,1177,},
   /*VRNDSCALESD*/    { 855, 854, 856,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = (xed3_operand_get_sae(xes) != 0) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN128_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SAE_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_SCALAR_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_114(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /*    FNSTSW*/    { 859, 858,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_reg0(xes) == XED_REG_AX);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_MEM16);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_115(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][6] = {
   /*  AND_LOCK*/    { 864, 865, 860, 863, 861, 862,},
   /*  XOR_LOCK*/    {1351,1352,1347,1350,1348,1349,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B) &&
		 xed_encode_ntluf_GPR8_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMMz_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_116(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[8][6] = {
   /*     PSLLD*/    { 869, 866, 868, 871, 867, 870,},
   /*     PSLLQ*/    { 892, 889, 891, 894, 890, 893,},
   /*     PSLLW*/    { 886, 883, 885, 888, 884, 887,},
   /*     PSRAD*/    {1558,1555,1557,1560,1556,1559,},
   /*     PSRAW*/    {1541,1538,1540,1543,1539,1542,},
   /*     PSRLD*/    {1157,1154,1156,1159,1155,1158,},
   /*     PSRLQ*/    {1139,1136,1138,1141,1137,1140,},
   /*     PSRLW*/    {1145,1142,1144,1147,1143,1146,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_MMX_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MMX_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = xed_encode_ntluf_MMX_B(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_MMX_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_117(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][11] = {
   /*VCVTTPS2DQ*/    { 877, 873, 875, 872, 874, 879, 881, 876, 880, 882, 878,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_sae(xes) != 0) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN512_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SAE_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_118(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[10][2] = {
   /*     ADDSS*/    {5889,5888,},
   /*  CVTSS2SD*/    {1290,1289,},
   /*     DIVSS*/    {2135,2134,},
   /*     MAXSS*/    {6418,6417,},
   /*     MINSS*/    {3789,3788,},
   /*     MULSS*/    { 922, 921,},
   /*     RCPSS*/    {3548,3547,},
   /*   RSQRTSS*/    { 898, 897,},
   /*    SQRTSS*/    {5361,5360,},
   /*     SUBSS*/    {5363,5362,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IGNORE66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_SS);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IGNORE66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_119(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][10] = {
   /*VBROADCASTSS*/    { 901, 902, 899, 900, 906, 908, 904, 905, 907, 903,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_TUPLE1_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_TUPLE1_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_TUPLE1_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_120(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[3][4] = {
   /* PUNPCKLBW*/    {6086,6085,6088,6087,},
   /* PUNPCKLDQ*/    { 917, 916, 919, 918,},
   /* PUNPCKLWD*/    {2211,2210,2213,2212,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_MMX_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MMX_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_MMX_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_121(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][1] = {
   /*VBROADCASTF32X8*/    {3959,},
   /*VBROADCASTI32X8*/    { 920,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_TUPLE8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_122(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[3][5] = {
   /* VCVTSS2SD*/    {5260,5258,5257,5259,5261,},
   /*    VMAXSS*/    {1748,1746,1745,1747,1749,},
   /*    VMINSS*/    { 926, 924, 923, 925, 927,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = (xed3_operand_get_sae(xes) != 0) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN128_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SAE_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_SCALAR_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_123(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][2] = {
   /*VBROADCASTF32X4*/    {3973,3972,},
   /*VBROADCASTI32X4*/    { 929, 928,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_TUPLE4_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_TUPLE4_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_124(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[4][1] = {
   /*   FXRSTOR*/    {1456,},
   /* FXRSTOR64*/    { 930,},
   /*    FXSAVE*/    {5682,},
   /*  FXSAVE64*/    {3358,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_MFPXENV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_125(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[8][2] = {
   /*     ADDSD*/    {5883,5882,},
   /*  CVTSD2SS*/    {2793,2792,},
   /*     DIVSD*/    {2104,2103,},
   /*     MAXSD*/    {1117,1116,},
   /*     MINSD*/    {3793,3792,},
   /*     MULSD*/    { 932, 931,},
   /*    SQRTSD*/    {5352,5351,},
   /*     SUBSD*/    {5350,5349,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IGNORE66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_SD);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IGNORE66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_126(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /*     MOVBE*/    { 934, 933,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_127(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][5] = {
   /*    VMAXSD*/    {3449,3447,3446,3448,3450,},
   /*    VMINSD*/    { 938, 936, 935, 937, 939,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = (xed3_operand_get_sae(xes) != 0) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN128_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SAE_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_SCALAR_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_128(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[4][4] = {
   /*  VFMADDSS*/    { 941, 943, 940, 942,},
   /*  VFMSUBSS*/    {2780,2782,2779,2781,},
   /* VFNMADDSS*/    {1838,1840,1837,1839,},
   /* VFNMSUBSS*/    {6205,6207,6204,6206,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_SE(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_SE_IMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_SE(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_SE_IMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[22], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D) &&
		 xed_encode_ntluf_XMM_SE(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SE_IMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_SE(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SE_IMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_129(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[4][4] = {
   /*  VFMADDSD*/    { 949, 951, 948, 950,},
   /*  VFMSUBSD*/    {3796,3798,3795,3797,},
   /* VFNMADDSD*/    {1834,1836,1833,1835,},
   /* VFNMSUBSD*/    {6229,6231,6228,6230,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_SE(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_SE_IMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_SE(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_SE_IMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[22], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 xed_encode_ntluf_XMM_SE(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SE_IMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_SE(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SE_IMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_130(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[4][2] = {
   /*      LGDT*/    {3422,3421,},
   /*      LIDT*/    { 957, 956,},
   /*      SGDT*/    {5402,5401,},
   /*      SIDT*/    {5884,5885,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_S);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_S64);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FORCE64_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_131(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][5] = {
   /*PREFETCH_RESERVED*/    { 959, 960, 961, 962, 963,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_MPREFETCH);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_MPREFETCH);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_MPREFETCH);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_MPREFETCH);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_MPREFETCH);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_132(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][2] = {
   /* REP_LODSW*/    {1972,1973,},
   /* REP_OUTSW*/    { 993, 994,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_OVERRIDE_SEG0_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_OVERRIDE_SEG0_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_133(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][6] = {
   /*    VPCMPB*/    {4005,4007,4009,4006,4008,4010,},
   /*   VPCMPUB*/    {1000,1002,1004,1001,1003,1005,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_ZD) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_134(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /*   RET_FAR*/    {1024,1023,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = 1;
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM16_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_135(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][6] = {
   /*    VPCMPD*/    {4001,4003,3999,4002,4004,4000,},
   /*   VPCMPUD*/    {1027,1029,1025,1028,1030,1026,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_136(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][1] = {
   /*   MOVDQ2Q*/    {1042,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_MMX_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IGNORE66_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_137(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][10] = {
   /*    VPABSB*/    {1048,1050,1047,1049,1051,1053,1055,1052,1054,1056,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_ZD);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_138(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][4] = {
   /*VSHUFF64X2*/    {1059,1057,1060,1058,},
   /*VSHUFI64X2*/    {2608,2606,2609,2607,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_139(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[4][1] = {
   /*VGATHERPF0DPD*/    {3682,},
   /*VGATHERPF1DPD*/    {1061,},
   /*VSCATTERPF0DPD*/    {4292,},
   /*VSCATTERPF1DPD*/    {2587,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_easz(xes) != 1) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B) &&
		 xed_encode_ntluf_MASKNOT0(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UISA_VMODRM_YMM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GSCAT_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_140(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][22] = {
   /*       MOV*/    {1080,1081,1082,1083,1079,1078,1066,1071,1069,1075,1073,1077,1067,1068,1074,1062,1070,1064,1072,1076,1063,1065,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B) &&
		 (xed3_operand_get_reg0(xes) == XED_REG_AL) &&
		 (xed3_operand_get_base0(xes) == XED_REG_INVALID) &&
		 (xed3_operand_get_index(xes) == XED_REG_INVALID);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MEMDISPv_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_OVERRIDE_SEG0_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 xed_encode_ntluf_OrAX(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_base0(xes) == XED_REG_INVALID) &&
		 (xed3_operand_get_index(xes) == XED_REG_INVALID);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MEMDISPv_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_OVERRIDE_SEG0_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = xed_encode_ntluf_GPR8_SB(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_SB(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMMv_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_OrAX(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 (xed3_operand_get_base0(xes) == XED_REG_INVALID) &&
		 (xed3_operand_get_index(xes) == XED_REG_INVALID);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MEMDISPv_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_OVERRIDE_SEG0_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_reg0(xes) == XED_REG_AL) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B) &&
		 (xed3_operand_get_base0(xes) == XED_REG_INVALID) &&
		 (xed3_operand_get_index(xes) == XED_REG_INVALID);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MEMDISPv_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_OVERRIDE_SEG0_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPR8_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR8_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPR8_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR8_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_SEG(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_SEG(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR16_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][11]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B) &&
		 xed_encode_ntluf_GPR8_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][12]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][13]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_W) &&
		 xed_encode_ntluf_SEG(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][14]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = xed_encode_ntluf_GPR8_B(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][15]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_GPR8_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][16]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][17]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMMz_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][18]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_SEG(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_W);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][19]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][20]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][21]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMMz_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_141(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][1] = {
   /*     BNDMK*/    {1089,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_AGEN) {
   conditions_satisfied = (xed3_operand_get_mpxmode(xes) == 1) &&
		 xed_encode_ntluf_BND_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_agen(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_142(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[4][7] = {
   /* VCVTPD2QQ*/    {1096,1091,1093,1095,1092,1094,1097,},
   /*VCVTPD2UQQ*/    {6254,6249,6251,6253,6250,6252,6255,},
   /* VCVTQQ2PD*/    {3680,3675,3677,3679,3676,3678,3681,},
   /*VCVTUQQ2PD*/    {5468,5463,5465,5467,5464,5466,5469,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_roundc(xes) != 0) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN512_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_AVX512_ROUND_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_143(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[6][4] = {
   /*      FADD*/    {2084,2082,2083,2081,},
   /*      FDIV*/    {4166,4164,4165,4163,},
   /*     FDIVR*/    {1101,1099,1100,1098,},
   /*      FMUL*/    {4254,4252,4253,4251,},
   /*      FSUB*/    {4961,4959,4960,4958,},
   /*     FSUBR*/    {1955,1953,1954,1952,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_X87(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_reg1(xes) == XED_REG_ST0);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_reg0(xes) == XED_REG_ST0) &&
		 xed_encode_ntluf_X87(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_reg0(xes) == XED_REG_ST0) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_M64REAL);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_reg0(xes) == XED_REG_ST0) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_MEM32REAL);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_144(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][1] = {
   /*      FBLD*/    {1107,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_reg0(xes) == XED_REG_ST0) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_MEM80DEC);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_145(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[3][3] = {
   /* VGETEXPSD*/    {4721,4720,4722,},
   /*  VRCP28SD*/    {1114,1113,1115,},
   /*VRSQRT28SD*/    {2470,2469,2471,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = (xed3_operand_get_sae(xes) != 0) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN128_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SAE_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_SCALAR_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_146(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[3][3] = {
   /* VGETEXPSS*/    {4693,4692,4694,},
   /*  VRCP28SS*/    {1132,1131,1133,},
   /*VRSQRT28SS*/    {2485,2484,2486,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = (xed3_operand_get_sae(xes) != 0) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN128_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SAE_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_SCALAR_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_147(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[4][6] = {
   /*      ANDN*/    {5800,5801,5803,5798,5799,5802,},
   /*      MULX*/    {1148,1149,1152,1150,1151,1153,},
   /*      PDEP*/    {2011,2012,2014,2009,2010,2013,},
   /*      PEXT*/    {4509,4510,4512,4507,4508,4511,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 xed_encode_ntluf_VGPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_VGPR32_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_VGPR32_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_VGPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_VGPR32_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_VGPR32_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_VGPR64_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_VGPR64_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_VGPR64_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 xed_encode_ntluf_VGPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_VGPR32_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_VGPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_VGPR32_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_VGPR64_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_VGPR64_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_148(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][4] = {
   /*     CRC32*/    {1166,1168,1165,1167,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPRy_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR8_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPRy_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_GPRy_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_GPRy_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_149(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][10] = {
   /*      IMUL*/    {1179,1181,1178,1180,1187,1185,1183,1186,1184,1182,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_REG0) {
   conditions_satisfied = xed_encode_ntluf_GPR8_B(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_REG0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMMz_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[14], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[14], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMMz_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_150(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[12][2] = {
   /*  VPMACSDD*/    {5551,5550,},
   /* VPMACSDQH*/    {5529,5528,},
   /* VPMACSDQL*/    {5523,5522,},
   /* VPMACSSDD*/    {4258,4257,},
   /*VPMACSSDQH*/    {3418,3417,},
   /*VPMACSSDQL*/    {3420,3419,},
   /* VPMACSSWD*/    {2391,2390,},
   /* VPMACSSWW*/    {2370,2369,},
   /*  VPMACSWD*/    {6071,6070,},
   /*  VPMACSWW*/    {6032,6031,},
   /*VPMADCSSWD*/    {4039,4038,},
   /* VPMADCSWD*/    {1195,1194,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_SE(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_SE_IMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[22], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 xed_encode_ntluf_XMM_SE(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SE_IMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_151(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[5][3] = {
   /*VFIXUPIMMSS*/    {4403,4402,4404,},
   /*VGETMANTSS*/    {1863,1862,1864,},
   /*  VRANGESS*/    {4955,4954,4956,},
   /* VREDUCESS*/    {1197,1196,1198,},
   /*VRNDSCALESS*/    {4514,4513,4515,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = (xed3_operand_get_sae(xes) != 0) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN128_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SAE_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_SCALAR_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_152(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][1] = {
   /*      POPA*/    {3182,},
   /*     PUSHA*/    {1199,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) == 1) &&
		 (xed3_operand_get_mode(xes) != 2);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_153(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][1] = {
   /*     FLDCW*/    {1212,},
   /*    FNSTCW*/    {6414,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_MEM16);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_154(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][16] = {
   /*      MOVD*/    {1234,1230,1232,1228,1233,1226,1229,1222,1231,1224,1227,1220,1225,1221,1223,1219,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MMX_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 xed_encode_ntluf_MMX_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MMX_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_MMX_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D) &&
		 xed_encode_ntluf_MMX_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 xed_encode_ntluf_MMX_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D) &&
		 xed_encode_ntluf_MMX_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_MMX_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][11]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][12]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][13]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][14]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][15]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_155(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][2] = {
   /*    MOVHPS*/    {1236,1235,},
   /*    MOVLPS*/    {3791,3790,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_156(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[12][1] = {
   /*    XRSTOR*/    {5757,},
   /*  XRSTOR64*/    {5762,},
   /*   XRSTORS*/    {1239,},
   /* XRSTORS64*/    {1626,},
   /*     XSAVE*/    {2697,},
   /*   XSAVE64*/    {1404,},
   /*    XSAVEC*/    {3974,},
   /*  XSAVEC64*/    {3297,},
   /*  XSAVEOPT*/    {5443,},
   /*XSAVEOPT64*/    {3500,},
   /*    XSAVES*/    {6197,},
   /*  XSAVES64*/    {3401,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_MXSAVE);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_157(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][1] = {
   /*    INVLPG*/    {1242,},
   /*PREFETCHWT1*/    {5804,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_158(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][16] = {
   /*      MOVQ*/    {1254,1252,1258,1256,1257,1253,1246,1251,1244,1255,1248,1250,1247,1245,1243,1249,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR64_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MMX_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_MMX_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR64_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_MMX_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MMX_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_MMX_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MMX_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 xed_encode_ntluf_MMX_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 xed_encode_ntluf_MMX_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR64_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_MMX_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR64_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_MMX_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][11]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IGNORE66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][12]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][13]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][14]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][15]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IGNORE66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_159(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][11] = {
   /*    VMAXPD*/    {2408,2404,2406,2403,2405,2410,2412,2407,2411,2413,2409,},
   /*    VMINPD*/    {1264,1260,1262,1259,1261,1266,1268,1263,1267,1269,1265,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = (xed3_operand_get_sae(xes) != 0) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN512_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SAE_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_160(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][6] = {
   /*  VPTESTMB*/    {1270,1272,1274,1271,1273,1275,},
   /* VPTESTNMB*/    {4188,4190,4192,4189,4191,4193,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_ZD);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_161(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][6] = {
   /*  VPTESTMD*/    {1278,1280,1276,1279,1281,1277,},
   /* VPTESTNMD*/    {4184,4186,4182,4185,4187,4183,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_162(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][6] = {
   /*  VPTESTMQ*/    {1285,1287,1283,1286,1288,1284,},
   /* VPTESTNMQ*/    {4203,4205,4201,4204,4206,4202,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_163(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][6] = {
   /*  VPTESTMW*/    {1291,1293,1295,1292,1294,1296,},
   /* VPTESTNMW*/    {4195,4197,4199,4196,4198,4200,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_ZD);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_164(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][11] = {
   /*    VMAXPS*/    {2420,2416,2418,2415,2417,2422,2424,2419,2423,2425,2421,},
   /*    VMINPS*/    {1302,1298,1300,1297,1299,1304,1306,1301,1305,1307,1303,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = (xed3_operand_get_sae(xes) != 0) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN512_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SAE_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_165(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][13] = {
   /*VPBROADCASTQ*/    {1309,1311,1308,1310,1317,1320,1314,1316,1319,1313,1315,1318,1312,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_GPR64_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_GPR64_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_GPR64_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_TUPLE1_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][11]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_TUPLE1_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][12]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_TUPLE1_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_166(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][4] = {
   /*  CVTSS2SI*/    {1322,1324,1321,1323,},
   /* CVTTSS2SI*/    {1890,1892,1889,1891,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IGNORE66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPR64_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IGNORE66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_SS);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IGNORE66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_GPR64_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_SS);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IGNORE66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_167(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][2] = {
   /*    MOVHPD*/    {1326,1325,},
   /*    MOVLPD*/    {3777,3776,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_168(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][1] = {
   /*VBROADCASTF128*/    {1333,},
   /*VBROADCASTI128*/    {4520,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_169(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][4] = {
   /*  VROUNDPD*/    {1341,1343,1340,1342,},
   /*  VROUNDPS*/    {1354,1356,1353,1355,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[14], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[14], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_170(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][2] = {
   /*    FNSAVE*/    {3241,3240,},
   /*    FRSTOR*/    {1358,1357,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) != 1) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_MEM108);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) == 1) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_MEM94);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_171(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][4] = {
   /*     MOVSX*/    {2288,2286,2285,2287,},
   /*     MOVZX*/    {1362,1360,1359,1361,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR16_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR8_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_W);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_172(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][5] = {
   /*       JMP*/    {1376,1377,1378,1375,1374,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_RELBR) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 (xed3_operand_get_relbr(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_BRDISPz_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_RELBR) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 (xed3_operand_get_relbr(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FORCE64_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_BRDISP32_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_RELBR) {
   conditions_satisfied = (xed3_operand_get_relbr(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_DF64_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_BRDISP8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_REG0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_DF64_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_IMMUNE66_LOOP64_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_DF64_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_IMMUNE66_LOOP64_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_173(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[8][4] = {
   /*   VFRCZPD*/    {1915,1917,1914,1916,},
   /*   VFRCZPS*/    {1943,1945,1942,1944,},
   /*VPHMINPOSUW*/    {3149,3151,3148,3150,},
   /*    VPTEST*/    {3460,3462,3459,3461,},
   /*    VRCPPS*/    {1380,1382,1379,1381,},
   /*  VRSQRTPS*/    {4110,4112,4109,4111,},
   /*   VTESTPD*/    {5587,5589,5586,5588,},
   /*   VTESTPS*/    {5603,5605,5602,5604,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_174(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][1] = {
   /* V4FMADDSS*/    {1466,},
   /*V4FNMADDSS*/    {1383,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_TUPLE1_4X_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_175(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[3][6] = {
   /*  VPMOVSWB*/    {1385,1387,1389,1388,1386,1390,},
   /* VPMOVUSWB*/    {6149,6151,6153,6152,6150,6154,},
   /*   VPMOVWB*/    {5454,5456,5458,5457,5455,5459,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_HALFMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_HALFMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_HALFMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_176(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][12] = {
   /* VCVTSD2SI*/    {1401,1398,1392,1394,1396,1391,1393,1395,1400,1397,1402,1399,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_roundc(xes) != 0) &&
		 (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR64_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN128_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_AVX512_ROUND_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_roundc(xes) != 0) &&
		 xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN128_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_AVX512_ROUND_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR64_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR64_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR64_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR64_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GPR_WRITER_LDOP_Q_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][11]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GPR_WRITER_LDOP_Q_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_177(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][3] = {
   /*VPSCATTERDD*/    {6345,6346,6344,},
   /*VSCATTERDPS*/    {1433,1434,1432,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_easz(xes) != 1) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 xed_encode_ntluf_MASKNOT0(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UISA_VMODRM_XMM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GSCAT_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_easz(xes) != 1) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 xed_encode_ntluf_MASKNOT0(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UISA_VMODRM_YMM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GSCAT_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_easz(xes) != 1) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_ZD) &&
		 xed_encode_ntluf_MASKNOT0(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UISA_VMODRM_ZMM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GSCAT_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_178(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /*    SYSRET*/    {1437,1436,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 (xed3_operand_get_eosz(xes) == 2);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 (xed3_operand_get_eosz(xes) == 3);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_179(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[5][18] = {
   /*       ADC*/    {1529,1528,1521,1525,1523,1527,1520,1522,1517,1513,1524,1519,1515,1526,1512,1518,1514,1516,},
   /*       ADD*/    {1511,1510,1503,1507,1505,1509,1502,1504,1499,1495,1506,1501,1497,1508,1494,1500,1496,1498,},
   /*       CMP*/    {1674,1673,1666,1670,1668,1672,1665,1667,1662,1658,1669,1664,1660,1671,1657,1663,1659,1661,},
   /*       SBB*/    {4984,4983,4976,4979,4978,4981,4975,4977,4972,4968,4980,4974,4970,4982,4967,4973,4969,4971,},
   /*       SUB*/    {1455,1454,1447,1450,1449,1452,1446,1448,1443,1439,1451,1445,1441,1453,1438,1444,1440,1442,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = xed_encode_ntluf_OrAX(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMMz_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_reg0(xes) == XED_REG_AL) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPR8_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR8_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPR8_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR8_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B) &&
		 xed_encode_ntluf_GPR8_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 xed_encode_ntluf_GPR8_B(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = xed_encode_ntluf_GPR8_B(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_GPR8_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][11]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][12]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMMz_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][13]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][14]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][15]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][16]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMMz_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][17]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_180(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[9][2] = {
   /*AESKEYGENASSIST*/    {1457,1458,},
   /*   BLENDPD*/    {3765,3764,},
   /*   BLENDPS*/    {3748,3747,},
   /*      DPPD*/    {2765,2764,},
   /*      DPPS*/    {2771,2770,},
   /*   MPSADBW*/    {3330,3329,},
   /*   PBLENDW*/    {3317,3316,},
   /* PCLMULQDQ*/    {5460,5461,},
   /*    PSHUFD*/    {5782,5781,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[14], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_181(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[3][1] = {
   /*   MOVHLPS*/    {6354,},
   /*   MOVLHPS*/    {3633,},
   /*VMASKMOVDQU*/    {1467,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_182(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[8][1] = {
   /*  KSHIFTLB*/    {1535,},
   /*  KSHIFTLD*/    {1534,},
   /*  KSHIFTLQ*/    {1537,},
   /*  KSHIFTLW*/    {1536,},
   /*  KSHIFTRB*/    {1477,},
   /*  KSHIFTRD*/    {1480,},
   /*  KSHIFTRQ*/    {1468,},
   /*  KSHIFTRW*/    {1469,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_183(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][6] = {
   /*    VPERMD*/    {4997,4996,5000,4998,5001,4999,},
   /*   VPERMPS*/    {1471,1470,1474,1472,1475,1473,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_184(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[7][1] = {
   /*       CDQ*/    {5887,},
   /*      CWDE*/    {6339,},
   /*     IRETD*/    {1476,},
   /*REPE_SCASD*/    {1644,},
   /*REPNE_SCASD*/    {2592,},
   /*     SCASD*/    {5606,},
   /*     STOSD*/    {4259,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) == 2);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_185(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][2] = {
   /* CMPXCHG8B*/    {1478,1479,},
   /*CMPXCHG8B_LOCK*/    {2573,2574,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IMMUNE66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IMMUNE66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_186(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][10] = {
   /*   VPERMPD*/    {1483,1482,1490,1486,1488,1484,1491,1487,1489,1485,},
   /*    VPERMQ*/    {5017,5016,5024,5020,5022,5018,5025,5021,5023,5019,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[14], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_187(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][5] = {
   /*       DEC*/    {1580,1577,1579,1576,1578,},
   /*       INC*/    {1744,1741,1743,1740,1742,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 xed_encode_ntluf_GPRv_SB(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_REG0) {
   conditions_satisfied = xed_encode_ntluf_GPR8_B(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_REG0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_188(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][12] = {
   /*VCVTTSD2SI*/    {1603,1600,1594,1596,1598,1593,1595,1597,1602,1599,1604,1601,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_sae(xes) != 0) &&
		 (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR64_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN128_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SAE_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_sae(xes) != 0) &&
		 xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN128_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SAE_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR64_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR64_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR64_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR64_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GPR_WRITER_LDOP_Q_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][11]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GPR_WRITER_LDOP_Q_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_189(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][11] = {
   /* VCVTPD2DQ*/    {5375,5371,5373,5370,5372,5377,5379,5374,5378,5380,5376,},
   /* VCVTPD2PS*/    {1610,1606,1608,1605,1607,1612,1614,1609,1613,1615,1611,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_roundc(xes) != 0) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN512_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_AVX512_ROUND_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_190(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][2] = {
   /*    COMISD*/    {4795,4794,},
   /*   UCOMISD*/    {1620,1619,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_SD);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_191(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][2] = {
   /*    COMISS*/    {4797,4796,},
   /*   UCOMISS*/    {1622,1621,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_SS);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_192(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][1] = {
   /*   INVLPGA*/    {1625,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_OrAX(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_reg1(xes) == XED_REG_ECX);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_193(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /*  CVTPS2DQ*/    {1630,1629,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_PS);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_194(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][4] = {
   /*    MOV_DR*/    {1631,1633,1632,1634,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 xed_encode_ntluf_DR_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_DF64_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_DR_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_DF64_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_DR_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR64_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_DF64_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR64_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_DR_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_DF64_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_195(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][1] = {
   /*CLFLUSHOPT*/    {5249,},
   /*      CLWB*/    {1643,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_MPREFETCH);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_196(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][2] = {
   /*  PMOVSXBQ*/    {4145,4144,},
   /*  PMOVZXBQ*/    {1649,1648,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_W);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_197(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][2] = {
   /*VPERM2F128*/    {1654,1653,},
   /*VPERM2I128*/    {3341,3340,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_198(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[3][2] = {
   /*    INVEPT*/    {2895,2894,},
   /*   INVPCID*/    {5068,5067,},
   /*   INVVPID*/    {1689,1688,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 1) &&
		 xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_CR_WIDTH_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR64_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_CR_WIDTH_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_199(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][4] = {
   /*VINSERTF32X4*/    {2919,2917,2920,2918,},
   /*VINSERTI32X4*/    {1707,1705,1708,1706,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_TUPLE4_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_TUPLE4_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_200(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][2] = {
   /*VINSERTF32X8*/    {2914,2915,},
   /*VINSERTI32X8*/    {1709,1710,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_TUPLE8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_201(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][11] = {
   /* VCVTPH2PS*/    {1716,1712,1714,1711,1713,1718,1720,1715,1719,1721,1717,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_sae(xes) != 0) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN512_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SAE_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_HALFMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_HALFMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_HALFMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_202(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][10] = {
   /* VMOVSHDUP*/    {1723,1725,1722,1724,1728,1730,1726,1729,1731,1727,},
   /* VMOVSLDUP*/    {2094,2096,2093,2095,2099,2101,2097,2100,2102,2098,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_ZD);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_203(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][4] = {
   /*    BNDSTX*/    {1733,1734,1735,1736,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mpxmode(xes) == 1) &&
		 (xed3_operand_get_mode(xes) != 2) &&
		 (xed3_operand_get_easz(xes) == 2) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_BND32) &&
		 xed_encode_ntluf_BND_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mpxmode(xes) == 1) &&
		 (xed3_operand_get_mode(xes) == 2) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_BND64) &&
		 xed_encode_ntluf_BND_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mpxmode(xes) == 1) &&
		 (xed3_operand_get_mode(xes) == 2) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_BND64) &&
		 xed_encode_ntluf_BND_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mpxmode(xes) == 1) &&
		 (xed3_operand_get_mode(xes) == 2) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_BND64) &&
		 xed_encode_ntluf_BND_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_204(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /*   INSERTQ*/    {1738,1737,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[25], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1) &&
		 (xed3_operand_get_imm1(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_1_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_205(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][1] = {
   /*       INT*/    {1739,},
   /*    XABORT*/    {2276,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_206(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][10] = {
   /* VPMOVSXDQ*/    {1750,1752,1751,1753,1756,1758,1754,1757,1759,1755,},
   /* VPMOVZXDQ*/    {4526,4528,4527,4529,4532,4534,4530,4533,4535,4531,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_HALFMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_HALFMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_HALFMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_207(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[5][6] = {
   /*    VPABSQ*/    {2439,2441,2437,2440,2442,2438,},
   /*VPCONFLICTQ*/    {1772,1774,1770,1773,1775,1771,},
   /*  VPLZCNTQ*/    {5039,5041,5037,5040,5042,5038,},
   /*  VRCP14PD*/    {2983,2985,2981,2984,2986,2982,},
   /*VRSQRT14PD*/    {6279,6281,6277,6280,6282,6278,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_208(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][8] = {
   /*       BSR*/    {1783,1785,1787,1789,1782,1784,1786,1788,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_209(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][10] = {
   /*  VMOVDDUP*/    {1791,1793,1790,1792,1796,1798,1794,1797,1799,1795,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_MOVDDUP_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_MOVDDUP_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_ZD);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_MOVDDUP_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_210(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][6] = {
   /*       BSF*/    {1815,1817,1819,1814,1816,1818,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_211(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][1] = {
   /*     VMXON*/    {1820,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IGNORE66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_212(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][8] = {
   /*   VPSLLDQ*/    {4928,4929,4930,4932,4934,4931,4933,4935,},
   /*   VPSRLDQ*/    {1825,1826,1827,1829,1831,1828,1830,1832,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[14], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[14], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[14], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_ZD) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_213(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[4][6] = {
   /*VPCONFLICTD*/    {1856,1858,1854,1857,1859,1855,},
   /*  VPLZCNTD*/    {5008,5010,5006,5009,5011,5007,},
   /*  VRCP14PS*/    {5813,5815,5811,5814,5816,5812,},
   /*VRSQRT14PS*/    {6290,6292,6288,6291,6293,6289,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_214(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][8] = {
   /*VPERMIL2PD*/    {1882,1886,1884,1888,1881,1885,1883,1887,},
   /*VPERMIL2PS*/    {1866,1870,1868,1872,1865,1869,1867,1871,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_SE(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_SE_IMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_SE(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_SE_IMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_SE(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_SE_IMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_SE(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_SE_IMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[26], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 xed_encode_ntluf_XMM_SE(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SE_IMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_SE(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SE_IMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[26], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 xed_encode_ntluf_YMM_SE(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SE_IMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_SE(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SE_IMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_215(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[6][1] = {
   /*   CLFLUSH*/    {4434,},
   /*PREFETCHNTA*/    {6306,},
   /*PREFETCHT0*/    {1880,},
   /*PREFETCHT1*/    {1879,},
   /*PREFETCHT2*/    {1878,},
   /*PREFETCH_EXCLUSIVE*/    {2138,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_MPREFETCH);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_216(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[3][2] = {
   /* SHA1RNDS4*/    {1934,1935,},
   /*VAESKEYGENASSIST*/    {4758,4759,},
   /*VPCMPISTRM*/    {5848,5847,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[14], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_217(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][6] = {
   /*VFPCLASSPD*/    {1960,1962,1964,1961,1963,1965,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_218(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /* REP_LODSQ*/    {1966,1967,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) == 3);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_OVERRIDE_SEG0_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) == 3);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_OVERRIDE_SEG0_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_219(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][6] = {
   /*VCVTSD2USI*/    {1978,1975,1977,1974,1979,1976,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_roundc(xes) != 0) &&
		 (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR64_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN128_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_AVX512_ROUND_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_roundc(xes) != 0) &&
		 xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN128_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_AVX512_ROUND_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR64_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR64_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GPR_WRITER_LDOP_Q_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GPR_WRITER_LDOP_Q_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_220(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][2] = {
   /* REP_LODSB*/    {1984,1985,},
   /* REP_OUTSB*/    {5616,5617,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = 1;
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_OVERRIDE_SEG0_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = 1;
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_OVERRIDE_SEG0_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_221(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /* REP_LODSD*/    {1986,1987,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) == 2);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_OVERRIDE_SEG0_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) == 2);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_OVERRIDE_SEG0_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_222(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[3][4] = {
   /* VBLENDVPD*/    {3991,3993,3990,3992,},
   /* VBLENDVPS*/    {4019,4021,4018,4020,},
   /* VPBLENDVB*/    {1995,1997,1994,1996,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_SE(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_SE_IMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_SE(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_SE_IMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[22], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 xed_encode_ntluf_XMM_SE(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SE_IMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[22], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 xed_encode_ntluf_YMM_SE(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SE_IMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_223(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][3] = {
   /*      FILD*/    {2000,1999,1998,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_reg0(xes) == XED_REG_ST0) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_M64INT);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_reg0(xes) == XED_REG_ST0) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_MEM16INT);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_reg0(xes) == XED_REG_ST0) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_MEM32INT);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_224(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[8][4] = {
   /*    VPSHAB*/    {6330,6332,6329,6331,},
   /*    VPSHAD*/    {6341,6343,6340,6342,},
   /*    VPSHAQ*/    {6312,6314,6311,6313,},
   /*    VPSHAW*/    {6316,6318,6315,6317,},
   /*    VPSHLB*/    {2038,2040,2037,2039,},
   /*    VPSHLD*/    {2034,2036,2033,2035,},
   /*    VPSHLQ*/    {2090,2092,2089,2091,},
   /*    VPSHLW*/    {2086,2088,2085,2087,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[18], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_225(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][10] = {
   /*   VPSHUFD*/    {2042,2044,2041,2043,2047,2049,2045,2048,2050,2046,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[14], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[14], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_226(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][12] = {
   /*    VPSRAQ*/    {2073,2077,2069,2075,2079,2071,2074,2078,2070,2076,2080,2072,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_MEM128_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_MEM128_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_MEM128_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][11]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_227(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][5] = {
   /*     KMOVQ*/    {2121,2120,2117,2119,2118,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR64_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR64_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_228(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][1] = {
   /*     POPAD*/    {5938,},
   /*    PUSHAD*/    {2133,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) == 2) &&
		 (xed3_operand_get_mode(xes) != 2);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_229(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][10] = {
   /*   VSHUFPD*/    {2184,2186,2183,2185,2189,2191,2187,2190,2192,2188,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_230(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[3][11] = {
   /* VCVTDQ2PS*/    {6019,6015,6017,6014,6016,6021,6023,6018,6022,6024,6020,},
   /* VCVTPS2DQ*/    {3100,3096,3098,3095,3097,3102,3104,3099,3103,3105,3101,},
   /*   VSQRTPS*/    {2198,2194,2196,2193,2195,2200,2202,2197,2201,2203,2199,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_roundc(xes) != 0) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN512_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_AVX512_ROUND_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_231(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][11] = {
   /*   VSQRTPD*/    {2225,2221,2223,2220,2222,2227,2229,2224,2228,2230,2226,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_roundc(xes) != 0) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN512_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_AVX512_ROUND_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_232(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][10] = {
   /*   VSHUFPS*/    {2232,2234,2231,2233,2237,2239,2235,2238,2240,2236,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_233(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /*    VLDDQU*/    {2241,2242,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_234(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][6] = {
   /*    VPROLD*/    {2245,2247,2243,2246,2248,2244,},
   /*    VPRORD*/    {5785,5787,5783,5786,5788,5784,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_235(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][6] = {
   /*    VPROLQ*/    {2255,2257,2253,2256,2258,2254,},
   /*    VPRORQ*/    {5773,5775,5771,5774,5776,5772,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_236(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][4] = {
   /*      SHLD*/    {2816,2815,2814,2813,},
   /*      SHRD*/    {2274,2273,2272,2271,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_reg2(xes) == XED_REG_CL);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_reg1(xes) == XED_REG_CL);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[27], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_237(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][1] = {
   /*     MOVSB*/    {2282,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = 1;
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_OVERRIDE_SEG1_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_238(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[3][1] = {
   /*    CLZERO*/    {2465,},
   /*    VMLOAD*/    {2283,},
   /*     VMRUN*/    {4047,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_REG0) {
   conditions_satisfied = xed_encode_ntluf_OrAX(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_239(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][1] = {
   /*   MOVQ2DQ*/    {2284,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MMX_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IGNORE66_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_240(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][1] = {
   /*     MOVSW*/    {2289,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_OVERRIDE_SEG1_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_241(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][4] = {
   /*     MOVSS*/    {2293,2291,2292,2290,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IGNORE66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IGNORE66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_SS) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IGNORE66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_SS);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IGNORE66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_242(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][1] = {
   /*     MOVSQ*/    {2294,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) == 3);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_OVERRIDE_SEG1_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_243(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][4] = {
   /*    MOV_CR*/    {2295,2297,2296,2298,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 xed_encode_ntluf_CR_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_CR_WIDTH_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_CR_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_CR_WIDTH_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_CR_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR64_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_CR_WIDTH_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR64_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_CR_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_CR_WIDTH_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_244(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][4] = {
   /*    MOVDQU*/    {2302,2300,2301,2299,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IGNORE66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IGNORE66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IGNORE66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IGNORE66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_245(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][7] = {
   /*VCVTTPS2UDQ*/    {2340,2342,2344,2339,2343,2345,2341,},
   /* VGETEXPPS*/    {4029,4031,4033,4028,4032,4034,4030,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_sae(xes) != 0) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN512_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SAE_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_246(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[3][6] = {
   /*   VPMOVQW*/    {6378,6380,6376,6379,6377,6381,},
   /*  VPMOVSQW*/    {2348,2350,2346,2349,2347,2351,},
   /* VPMOVUSQW*/    {3346,3348,3344,3347,3345,3349,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_QUARTERMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_QUARTERMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_QUARTERMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_247(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[3][7] = {
   /*VGETMANTPD*/    {2353,2355,2357,2352,2356,2358,2354,},
   /* VREDUCEPD*/    {6163,6158,6160,6162,6159,6161,6164,},
   /*VRNDSCALEPD*/    {5719,5721,5723,5718,5722,5724,5720,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = (xed3_operand_get_sae(xes) != 0) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN512_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SAE_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_248(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][10] = {
   /*  VPALIGNR*/    {2360,2362,2359,2361,2363,2365,2367,2364,2366,2368,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_ZD) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_249(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[3][6] = {
   /*   VPMOVQD*/    {6402,6404,6400,6405,6403,6401,},
   /*  VPMOVSQD*/    {2373,2375,2371,2376,2374,2372,},
   /* VPMOVUSQD*/    {3363,3365,3361,3366,3364,3362,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_HALFMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_HALFMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_HALFMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_250(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[3][7] = {
   /*VGETMANTPS*/    {2393,2395,2397,2392,2396,2398,2394,},
   /* VREDUCEPS*/    {6134,6129,6131,6133,6130,6132,6135,},
   /*VRNDSCALEPS*/    {2378,2380,2382,2377,2381,2383,2379,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = (xed3_operand_get_sae(xes) != 0) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN512_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SAE_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_251(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[3][6] = {
   /*   VPMOVQB*/    {6396,6398,6394,6399,6395,6397,},
   /*  VPMOVSQB*/    {2386,2388,2384,2389,2385,2387,},
   /* VPMOVUSQB*/    {3354,3356,3352,3357,3353,3355,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_EIGHTHMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_EIGHTHMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_WRD) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_EIGHTHMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_252(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[8][2] = {
   /*     FIADD*/    {5485,5484,},
   /*     FICOM*/    {3800,3799,},
   /*    FICOMP*/    {3193,3192,},
   /*     FIDIV*/    {3603,3602,},
   /*    FIDIVR*/    {2685,2684,},
   /*     FIMUL*/    {2402,2401,},
   /*     FISUB*/    {3464,3463,},
   /*    FISUBR*/    {5201,5200,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_reg0(xes) == XED_REG_ST0) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_MEM16INT);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_reg0(xes) == XED_REG_ST0) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_MEM32INT);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_253(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][1] = {
   /*     LEAVE*/    {2426,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = 1;
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_DF64_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_254(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][10] = {
   /*    VPABSW*/    {2428,2430,2427,2429,2431,2433,2435,2432,2434,2436,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_ZD);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_255(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][10] = {
   /*    VPABSD*/    {2449,2451,2448,2450,2454,2456,2452,2455,2457,2453,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_256(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][1] = {
   /*      JCXZ*/    {2459,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_RELBR) {
   conditions_satisfied = (xed3_operand_get_easz(xes) == 1) &&
		 (xed3_operand_get_relbr(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_BRDISP8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_257(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /*  RET_NEAR*/    {2462,2461,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = 1;
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_DF64_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_IMMUNE66_LOOP64_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_DF64_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM16_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_IMMUNE66_LOOP64_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_258(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[3][2] = {
   /*  BTC_LOCK*/    {2468,2467,},
   /*  BTR_LOCK*/    {3051,3050,},
   /*  BTS_LOCK*/    {4477,4476,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_259(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][13] = {
   /*VPBROADCASTD*/    {2488,2490,2487,2489,2496,2495,2499,2498,2493,2492,2494,2497,2491,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_TUPLE1_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][11]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_TUPLE1_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][12]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_TUPLE1_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_260(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][13] = {
   /*VPBROADCASTB*/    {2505,2507,2504,2506,2510,2508,2513,2511,2516,2514,2509,2512,2515,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_TUPLE1_BYTE_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][11]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_TUPLE1_BYTE_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][12]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_TUPLE1_BYTE_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_261(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][13] = {
   /*VPBROADCASTW*/    {2518,2520,2517,2519,2523,2521,2526,2524,2529,2527,2522,2525,2528,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_W);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_W);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_WRD);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_TUPLE1_WORD_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_WRD);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][11]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_TUPLE1_WORD_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_WRD);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][12]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_TUPLE1_WORD_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_262(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][4] = {
   /*   CMPXCHG*/    {2533,2535,2532,2534,},
   /*      XADD*/    {3286,3288,3285,3287,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPR8_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR8_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B) &&
		 xed_encode_ntluf_GPR8_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_263(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][2] = {
   /*VINSERTF128*/    {2539,2538,},
   /*VINSERTI128*/    {3351,3350,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_264(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[7][1] = {
   /*       AAA*/    {5514,},
   /*       AAS*/    {5516,},
   /*       DAA*/    {6375,},
   /*       DAS*/    {6393,},
   /*      INTO*/    {2540,},
   /*      SALC*/    {4647,},
   /*SYSRET_AMD*/    {5886,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_265(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][1] = {
   /*    SWAPGS*/    {2541,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_266(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][4] = {
   /*  CVTSI2SD*/    {2550,2552,2549,2551,},
   /*  CVTSI2SS*/    {2545,2547,2544,2546,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IGNORE66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR64_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IGNORE66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IGNORE66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IGNORE66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_267(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /*  PMOVMSKB*/    {2575,2576,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MMX_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_268(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][1] = {
   /*     ENTER*/    {2585,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_IMM0 && xes->_operand_order[1] == XED_OPERAND_IMM1) {
   conditions_satisfied = (xed3_operand_get_imm0(xes) == 1) &&
		 (xed3_operand_get_imm1(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_DF64_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM16_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_1_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_269(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][3] = {
   /*     FISTP*/    {3179,3178,3177,},
   /*    FISTTP*/    {2594,2595,2593,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_M64INT) &&
		 (xed3_operand_get_reg0(xes) == XED_REG_ST0);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_MEM16INT) &&
		 (xed3_operand_get_reg0(xes) == XED_REG_ST0);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_MEM32INT) &&
		 (xed3_operand_get_reg0(xes) == XED_REG_ST0);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_270(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[6][4] = {
   /*  VBLENDPD*/    {4062,4064,4061,4063,},
   /*  VBLENDPS*/    {4080,4082,4079,4081,},
   /*     VDPPS*/    {3636,3638,3635,3637,},
   /*  VMPSADBW*/    {2602,2604,2601,2603,},
   /*  VPBLENDD*/    {5808,5810,5807,5809,},
   /*  VPBLENDW*/    {5818,5820,5817,5819,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_271(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][8] = {
   /*       POP*/    {2614,2612,2613,2615,2616,2617,2611,2610,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 (xed3_operand_get_reg0(xes) == XED_REG_DS);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 (xed3_operand_get_reg0(xes) == XED_REG_ES);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 (xed3_operand_get_reg0(xes) == XED_REG_SS);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_REG0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_SB(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_DF64_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_reg0(xes) == XED_REG_FS);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_DF64_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_reg0(xes) == XED_REG_GS);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_DF64_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_REG0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_DF64_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_DF64_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_272(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][4] = {
   /*   VMOVHPD*/    {2619,2618,2621,2620,},
   /*   VMOVLPD*/    {5357,5356,5359,5358,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_SCALAR_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_SCALAR_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_273(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][4] = {
   /*   VMOVHPS*/    {2645,2644,2647,2646,},
   /*   VMOVLPS*/    {5367,5366,5369,5368,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_TUPLE2_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_TUPLE2_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_274(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][4] = {
   /*   PALIGNR*/    {2652,2651,2654,2653,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_MMX_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MMX_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[14], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_MMX_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[14], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_275(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][1] = {
   /*       LDS*/    {2655,},
   /*       LES*/    {3136,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 xed_encode_ntluf_GPRz_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_P);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_276(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][3] = {
   /*       FST*/    {2666,2665,2664,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_X87(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_reg1(xes) == XED_REG_ST0);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_M64REAL) &&
		 (xed3_operand_get_reg0(xes) == XED_REG_ST0);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_MEM32REAL) &&
		 (xed3_operand_get_reg0(xes) == XED_REG_ST0);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_277(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /*      FIST*/    {2668,2667,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_MEM16INT) &&
		 (xed3_operand_get_reg0(xes) == XED_REG_ST0);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_MEM32INT) &&
		 (xed3_operand_get_reg0(xes) == XED_REG_ST0);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_278(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][1] = {
   /*     LDDQU*/    {2669,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IGNORE66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_279(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][4] = {
   /*     LZCNT*/    {2674,2676,2673,2675,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_280(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][5] = {
   /*VCVTUSI2SD*/    {2680,2679,2677,2681,2678,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_roundc(xes) != 0) &&
		 (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_GPR64_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN128_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_AVX512_ROUND_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_GPR64_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GPR_READER_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GPR_READER_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_281(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][2] = {
   /*  CVTDQ2PD*/    {4566,4565,},
   /*   MOVDDUP*/    {2687,2686,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IGNORE66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IGNORE66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_282(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[10][2] = {
   /*     VDPPD*/    {3629,3628,},
   /*VPCLMULQDQ*/    {6156,6157,},
   /*    VPCOMB*/    {5404,5403,},
   /*    VPCOMD*/    {5406,5405,},
   /*    VPCOMQ*/    {5382,5381,},
   /*   VPCOMUB*/    {2692,2691,},
   /*   VPCOMUD*/    {2694,2693,},
   /*   VPCOMUQ*/    {2696,2695,},
   /*   VPCOMUW*/    {2699,2698,},
   /*    VPCOMW*/    {5400,5399,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_283(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /*      INSD*/    {2707,2708,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) == 2);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) == 3);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_284(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /*   PTWRITE*/    {2714,2715,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_REG0) {
   conditions_satisfied = xed_encode_ntluf_GPRy_B(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Y);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_285(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][10] = {
   /* VPMOVSXBW*/    {2716,2718,2717,2719,2720,2722,2724,2721,2723,2725,},
   /* VPMOVZXBW*/    {5423,5425,5424,5426,5427,5429,5431,5428,5430,5432,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_HALFMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_HALFMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_HALFMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_286(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][10] = {
   /* VPMOVSXBQ*/    {2726,2728,2727,2729,2732,2734,2730,2733,2735,2731,},
   /* VPMOVZXBQ*/    {5433,5435,5434,5436,5439,5441,5437,5440,5442,5438,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_W);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_WRD);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_EIGHTHMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_EIGHTHMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_EIGHTHMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_287(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][12] = {
   /* VMOVDQU16*/    {2739,2737,2743,2741,2747,2745,2740,2744,2748,2738,2742,2746,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_ZD) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_ZD);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][11]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_288(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][10] = {
   /* VPMOVSXBD*/    {2749,2751,2750,2752,2755,2757,2753,2756,2758,2754,},
   /* VPMOVZXBD*/    {5413,5415,5414,5416,5419,5421,5417,5420,5422,5418,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_QUARTERMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_QUARTERMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_QUARTERMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_289(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][4] = {
   /*        IN*/    {2769,2768,2767,2766,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_OeAX(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_reg1(xes) == XED_REG_DX);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IMMUNE_REXW_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_reg0(xes) == XED_REG_AL) &&
		 (xed3_operand_get_reg1(xes) == XED_REG_DX);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IMMUNE_REXW_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = xed_encode_ntluf_OeAX(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_IMMUNE_REXW_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_reg0(xes) == XED_REG_AL) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_IMMUNE_REXW_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_290(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][4] = {
   /*    MOVAPS*/    {2805,2803,2804,2802,},
   /*    MOVUPS*/    {4475,4473,4474,4472,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_PS) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_PS);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_291(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][4] = {
   /*    MOVAPD*/    {2809,2807,2808,2806,},
   /*    MOVUPD*/    {4458,4456,4457,4455,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_PD) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_PD);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_292(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][1] = {
   /*     JRCXZ*/    {2810,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_RELBR) {
   conditions_satisfied = (xed3_operand_get_easz(xes) == 3) &&
		 (xed3_operand_get_relbr(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_BRDISP8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_FORCE64_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_293(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /* PCMPISTRM*/    {2876,2875,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IMMUNE66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[14], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IMMUNE66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_294(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[3][4] = {
   /* PCMPESTRI*/    {5629,5631,5628,5630,},
   /* PCMPESTRM*/    {5633,5635,5632,5634,},
   /* PCMPISTRI*/    {2878,2880,2877,2879,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IMMUNE66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IMMUNE66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[14], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IMMUNE66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[14], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IMMUNE66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_295(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[4][1] = {
   /*     CMPSQ*/    {5088,},
   /*     LODSQ*/    {3442,},
   /*REPE_CMPSQ*/    {4471,},
   /*REPNE_CMPSQ*/    {2902,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) == 3);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_OVERRIDE_SEG0_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_296(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][4] = {
   /*       FLD*/    {2928,2930,2927,2929,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_reg0(xes) == XED_REG_ST0) &&
		 xed_encode_ntluf_X87(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_reg0(xes) == XED_REG_ST0) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_M64REAL);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_reg0(xes) == XED_REG_ST0) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_MEM32REAL);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_reg0(xes) == XED_REG_ST0) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_MEM80REAL);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_297(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][3] = {
   /*VPSCATTERQQ*/    {2944,2945,2943,},
   /*VSCATTERQPD*/    {5975,5976,5974,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_easz(xes) != 1) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 xed_encode_ntluf_MASKNOT0(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UISA_VMODRM_XMM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GSCAT_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_easz(xes) != 1) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 xed_encode_ntluf_MASKNOT0(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UISA_VMODRM_YMM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GSCAT_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_easz(xes) != 1) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_ZD) &&
		 xed_encode_ntluf_MASKNOT0(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UISA_VMODRM_ZMM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GSCAT_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_298(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[3][7] = {
   /*VCVTTPD2QQ*/    {3120,3115,3117,3119,3116,3118,3121,},
   /*VCVTTPD2UQQ*/    {2962,2957,2959,2961,2958,2960,2963,},
   /* VGETEXPPD*/    {4041,4043,4045,4040,4044,4046,4042,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_sae(xes) != 0) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN512_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SAE_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_299(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][2] = {
   /*  VMOVHLPS*/    {2964,2965,},
   /*  VMOVLHPS*/    {5364,5365,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_300(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][3] = {
   /*VPSCATTERQD*/    {2968,2967,2966,},
   /*VSCATTERQPS*/    {3989,3988,3987,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_easz(xes) != 1) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 xed_encode_ntluf_MASKNOT0(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UISA_VMODRM_YMM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GSCAT_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_easz(xes) != 1) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 xed_encode_ntluf_MASKNOT0(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UISA_VMODRM_XMM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GSCAT_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_easz(xes) != 1) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 xed_encode_ntluf_MASKNOT0(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UISA_VMODRM_ZMM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GSCAT_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_301(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][2] = {
   /*   PSHUFHW*/    {4876,4875,},
   /*   PSHUFLW*/    {2989,2988,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IGNORE66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[14], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IGNORE66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_302(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][1] = {
   /*    SKINIT*/    {2990,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_reg0(xes) == XED_REG_EAX);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_303(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[4][6] = {
   /* VPBLENDMB*/    {3381,3383,3385,3382,3384,3386,},
   /*    VPERMB*/    {4987,4989,4991,4988,4990,4992,},
   /*  VPERMI2B*/    {3485,3487,3489,3486,3488,3490,},
   /*  VPERMT2B*/    {3000,3002,3004,3001,3003,3005,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_ZD);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_304(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[7][6] = {
   /* VPBLENDMW*/    {3373,3375,3377,3374,3376,3378,},
   /*  VPERMI2W*/    {3432,3434,3436,3433,3435,3437,},
   /*  VPERMT2W*/    {3006,3008,3010,3007,3009,3011,},
   /*    VPERMW*/    {5030,5032,5034,5031,5033,5035,},
   /*   VPSLLVW*/    {4441,4443,4445,4442,4444,4446,},
   /*   VPSRAVW*/    {3848,3850,3852,3849,3851,3853,},
   /*   VPSRLVW*/    {4593,4595,4597,4594,4596,4598,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_ZD);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_305(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][5] = {
   /*  VMOVNTPD*/    {3020,3021,3023,3024,3022,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_ZD) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_306(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][5] = {
   /*  VMOVNTDQ*/    {3916,3917,3919,3920,3918,},
   /*  VMOVNTPS*/    {3035,3036,3038,3039,3037,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_ZD) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_307(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][12] = {
   /*  VMOVDQU8*/    {3054,3052,3058,3056,3062,3060,3055,3059,3063,3053,3057,3061,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_ZD) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_ZD);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][11]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_308(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][1] = {
   /*   MOVNTDQ*/    {3821,},
   /*   MOVNTPD*/    {3083,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_309(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][1] = {
   /*   MOVNTPS*/    {3106,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_310(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][1] = {
   /*       LEA*/    {3122,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_AGEN) {
   conditions_satisfied = xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_agen(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_REMOVE_SEGMENT_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_311(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /*PEXTRW_SSE4*/    {3155,3154,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[27], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_W) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_312(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][1] = {
   /*CMPXCHG16B*/    {4291,},
   /*CMPXCHG16B_LOCK*/    {3168,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IMMUNE66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_313(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][2] = {
   /*  CVTPD2PI*/    {4592,4591,},
   /* CVTTPD2PI*/    {3170,3169,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_MMX_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_MMX_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_PD);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_314(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][6] = {
   /*VCVTSS2USI*/    {3175,3172,3174,3171,3176,3173,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_roundc(xes) != 0) &&
		 (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR64_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN128_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_AVX512_ROUND_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_roundc(xes) != 0) &&
		 xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN128_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_AVX512_ROUND_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR64_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR64_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GPR_WRITER_LDOP_D_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GPR_WRITER_LDOP_D_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_315(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][2] = {
   /*  CALL_FAR*/    {5189,5188,},
   /*   JMP_FAR*/    {3181,3180,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_PTR && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 (xed3_operand_get_ptr(xes) == 1) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_BRDISPz_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM16_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_P2);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_316(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /*VFPCLASSSS*/    {3183,3184,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_SCALAR_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_317(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /*VFPCLASSSD*/    {3186,3187,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_SCALAR_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_318(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][4] = {
   /* CALL_NEAR*/    {3188,3189,3191,3190,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_RELBR) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 (xed3_operand_get_relbr(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_BRDISPz_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_RELBR) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 (xed3_operand_get_relbr(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_BRDISP32_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_DF64_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_FORCE64_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_REG0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_DF64_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_IMMUNE66_LOOP64_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_DF64_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_IMMUNE66_LOOP64_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_319(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][7] = {
   /* VCVTPS2QQ*/    {5207,5202,5204,5206,5203,5205,5208,},
   /*VCVTPS2UQQ*/    {3238,3233,3235,3237,3234,3236,3239,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_roundc(xes) != 0) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN512_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_AVX512_ROUND_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_HALF_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_HALF_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_HALF_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_320(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][1] = {
   /*      LOOP*/    {3242,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_RELBR) {
   conditions_satisfied = (xed3_operand_get_relbr(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_DF64_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_BRDISP8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_IMMUNE66_LOOP64_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_321(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][16] = {
   /*     VMOVQ*/    {3246,3244,3250,3248,3249,3245,3243,3247,3253,3251,3257,3255,3258,3254,3252,3256,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR64_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR64_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR64_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR64_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][11]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][12]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_SCALAR_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][13]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GPR_WRITER_STORE_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][14]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GPR_READER_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][15]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_SCALAR_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_322(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][12] = {
   /*     VMOVD*/    {3266,3264,3270,3268,3265,3263,3269,3267,3273,3271,3274,3272,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GPR_WRITER_STORE_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][11]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GPR_READER_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_323(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][2] = {
   /*  VRCP14SS*/    {5511,5512,},
   /*VRSQRT14SS*/    {3314,3315,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_SCALAR_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_324(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][2] = {
   /*CMPXCHG_LOCK*/    {3324,3325,},
   /* XADD_LOCK*/    {6002,6003,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B) &&
		 xed_encode_ntluf_GPR8_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_325(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][2] = {
   /*VEXTRACTF64X4*/    {3331,3332,},
   /*VEXTRACTI64X4*/    {4505,4506,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[23], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_TUPLE4_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_326(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][4] = {
   /*VEXTRACTF64X2*/    {3333,3335,3334,3336,},
   /*VEXTRACTI64X2*/    {4790,4792,4791,4793,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[23], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_TUPLE2_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[23], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_TUPLE2_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_327(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][2] = {
   /*     CMPPS*/    {3360,3359,},
   /*    SHUFPS*/    {5705,5704,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[14], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_PS) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_328(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][4] = {
   /*       OUT*/    {3400,3399,3398,3397,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_reg0(xes) == XED_REG_DX) &&
		 xed_encode_ntluf_OeAX(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IMMUNE_REXW_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_reg0(xes) == XED_REG_DX) &&
		 (xed3_operand_get_reg1(xes) == XED_REG_AL);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IMMUNE_REXW_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_IMM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_imm0(xes) == 1) &&
		 xed_encode_ntluf_OeAX(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_IMMUNE_REXW_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_IMM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_imm0(xes) == 1) &&
		 (xed3_operand_get_reg0(xes) == XED_REG_AL);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_IMMUNE_REXW_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_329(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][2] = {
   /*  VRCP14SD*/    {5497,5498,},
   /*VRSQRT14SD*/    {3404,3405,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_SCALAR_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_330(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][7] = {
   /*VCVTTPD2UDQ*/    {3426,3428,3430,3425,3429,3431,3427,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_sae(xes) != 0) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN512_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SAE_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_331(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /*  CVTPD2DQ*/    {3478,3477,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IGNORE66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_PD);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IGNORE66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_332(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][4] = {
   /*    VMREAD*/    {3499,3497,3498,3496,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_CR_WIDTH_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR64_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR64_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_CR_WIDTH_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D) &&
		 xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_CR_WIDTH_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 xed_encode_ntluf_GPR64_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_CR_WIDTH_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_333(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][1] = {
   /*  MOVNTDQA*/    {3504,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_334(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][1] = {
   /*   SYSCALL*/    {3506,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FORCE64_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_335(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][4] = {
   /*    VPPERM*/    {3510,3512,3509,3511,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_SE(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_SE_IMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_SE(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_SE_IMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[22], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 xed_encode_ntluf_XMM_SE(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SE_IMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_SE(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SE_IMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_336(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][8] = {
   /*   VMOVDQA*/    {3516,3514,3520,3518,3515,3519,3513,3517,},
   /*   VMOVDQU*/    {3528,3524,3530,3526,3527,3529,3523,3525,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_337(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /*  VPOPCNTQ*/    {3521,3522,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_338(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /*  VPOPCNTD*/    {3531,3532,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_339(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][5] = {
   /*    VCMPSS*/    {3540,3538,3537,3539,3541,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = (xed3_operand_get_sae(xes) != 0) &&
		 xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN128_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SAE_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_SCALAR_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_340(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][5] = {
   /*    VCMPSD*/    {3556,3554,3553,3555,3557,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = (xed3_operand_get_sae(xes) != 0) &&
		 xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN128_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SAE_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_SCALAR_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_341(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][5] = {
   /*     KMOVB*/    {3585,3584,3581,3583,3582,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B) &&
		 xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_342(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][5] = {
   /*     KMOVD*/    {3594,3593,3590,3592,3591,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D) &&
		 xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_343(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][6] = {
   /* VEXPANDPD*/    {3599,3601,3597,3598,3600,3596,},
   /* VPEXPANDQ*/    {5665,5667,5663,5664,5666,5662,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GSCAT_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GSCAT_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_ZD);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GSCAT_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_344(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][1] = {
   /*   VMPTRLD*/    {3604,},
   /*   VMPTRST*/    {4290,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_345(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][5] = {
   /*     KMOVW*/    {3609,3608,3605,3607,3606,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_WRD) &&
		 xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_WRD);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_346(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][6] = {
   /* VEXPANDPS*/    {3613,3615,3611,3612,3614,3610,},
   /* VPEXPANDD*/    {4805,4807,4803,4804,4806,4802,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GSCAT_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GSCAT_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_ZD);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GSCAT_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_347(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[3][2] = {
   /*     CMPPD*/    {3632,3631,},
   /*   ROUNDPD*/    {4963,4962,},
   /*    SHUFPD*/    {5696,5695,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[14], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_PD) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_348(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][24] = {
   /*       SHL*/    {3666,3668,3670,3672,3665,3667,3669,3671,3658,3660,3650,3652,3662,3664,3654,3656,3657,3659,3649,3651,3661,3663,3653,3655,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPR8_B(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_reg1(xes) == XED_REG_CL);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPR8_B(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_reg1(xes) == XED_REG_CL);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_reg1(xes) == XED_REG_CL);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_reg1(xes) == XED_REG_CL);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B) &&
		 (xed3_operand_get_reg0(xes) == XED_REG_CL);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B) &&
		 (xed3_operand_get_reg0(xes) == XED_REG_CL);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 (xed3_operand_get_reg0(xes) == XED_REG_CL);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 (xed3_operand_get_reg0(xes) == XED_REG_CL);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = xed_encode_ntluf_GPR8_B(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_ONE_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = xed_encode_ntluf_GPR8_B(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_ONE_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = xed_encode_ntluf_GPR8_B(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = xed_encode_ntluf_GPR8_B(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][11]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][12]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_ONE_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][13]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_ONE_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][14]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][15]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][16]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ONE_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][17]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ONE_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][18]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][19]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][20]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ONE_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][21]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ONE_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][22]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][23]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_349(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[3][7] = {
   /*VCVTPD2UDQ*/    {5314,5316,5318,5313,5317,5319,5315,},
   /* VCVTQQ2PS*/    {3688,3683,3685,3687,3684,3686,3689,},
   /*VCVTUQQ2PS*/    {5482,5477,5479,5481,5478,5480,5483,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_roundc(xes) != 0) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN512_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_AVX512_ROUND_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_350(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][6] = {
   /*VCOMPRESSPS*/    {4227,4229,4225,4226,4228,4224,},
   /*VPCOMPRESSD*/    {3705,3707,3703,3704,3706,3702,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GSCAT_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GSCAT_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_ZD) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GSCAT_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_351(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][6] = {
   /*VCOMPRESSPD*/    {4211,4213,4209,4210,4212,4208,},
   /*VPCOMPRESSQ*/    {3715,3717,3713,3714,3716,3712,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GSCAT_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GSCAT_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_ZD) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GSCAT_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_352(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][11] = {
   /*      PUSH*/    {3729,3731,3728,3730,3734,3733,3732,3735,3736,3727,3726,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 (xed3_operand_get_reg0(xes) == XED_REG_CS);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 (xed3_operand_get_reg0(xes) == XED_REG_DS);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 (xed3_operand_get_reg0(xes) == XED_REG_ES);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 (xed3_operand_get_reg0(xes) == XED_REG_SS);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_DF64_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_DF64_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMMz_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_REG0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_SB(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_DF64_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_reg0(xes) == XED_REG_FS);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_DF64_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_reg0(xes) == XED_REG_GS);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_DF64_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_REG0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_DF64_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_DF64_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_353(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /* PREFETCHW*/    {3817,3818,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_MPREFETCH);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_MPREFETCH);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_354(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][2] = {
   /*  REP_INSW*/    {3819,3820,},
   /* REP_STOSW*/    {3863,3864,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_355(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][2] = {
   /*  REP_INSB*/    {3823,3824,},
   /* REP_STOSB*/    {4540,4541,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = 1;
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = 1;
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_356(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][4] = {
   /*  REP_INSD*/    {3825,3827,3826,3828,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) == 2);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) == 2);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) == 3);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) == 3);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_357(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /* REP_STOSD*/    {3829,3830,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) == 2);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) == 2);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_358(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /* REP_STOSQ*/    {3865,3866,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) == 3);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) == 3);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_359(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][14] = {
   /*      TEST*/    {3896,3895,3892,3894,3891,3893,3885,3886,3889,3890,3883,3884,3887,3888,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = xed_encode_ntluf_OrAX(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMMz_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_reg0(xes) == XED_REG_AL) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPR8_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR8_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B) &&
		 xed_encode_ntluf_GPR8_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = xed_encode_ntluf_GPR8_B(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = xed_encode_ntluf_GPR8_B(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMMz_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMMz_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][11]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][12]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMMz_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][13]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMMz_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_360(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][4] = {
   /*   VMWRITE*/    {3928,3926,3927,3925,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_CR_WIDTH_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR64_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR64_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_CR_WIDTH_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_CR_WIDTH_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR64_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_CR_WIDTH_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_361(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][11] = {
   /*    VCMPPS*/    {3934,3930,3932,3929,3931,3936,3938,3933,3937,3939,3935,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = (xed3_operand_get_sae(xes) != 0) &&
		 xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN512_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SAE_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_362(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][11] = {
   /*    VCMPPD*/    {3945,3941,3943,3940,3942,3947,3949,3944,3948,3950,3946,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = (xed3_operand_get_sae(xes) != 0) &&
		 xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN512_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SAE_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_363(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][7] = {
   /*VFIXUPIMMPS*/    {3952,3954,3956,3951,3955,3957,3953,},
   /*  VRANGEPS*/    {6170,6165,6167,6169,6166,6168,6171,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = (xed3_operand_get_sae(xes) != 0) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN512_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SAE_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_364(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][1] = {
   /*     JECXZ*/    {3960,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_RELBR) {
   conditions_satisfied = (xed3_operand_get_easz(xes) == 2) &&
		 (xed3_operand_get_relbr(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_BRDISP8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_365(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][7] = {
   /*VFIXUPIMMPD*/    {3962,3964,3966,3961,3965,3967,3963,},
   /*  VRANGEPD*/    {6127,6122,6124,6126,6123,6125,6128,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = (xed3_operand_get_sae(xes) != 0) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN512_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SAE_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_366(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][4] = {
   /*VBROADCASTF32X2*/    {3968,3970,3969,3971,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_TUPLE2_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_TUPLE2_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_367(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][6] = {
   /*   VPCMPUW*/    {5580,5582,5584,5581,5583,5585,},
   /*    VPCMPW*/    {3975,3977,3979,3976,3978,3980,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_ZD) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_368(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][6] = {
   /*    VPCMPQ*/    {3983,3985,3981,3984,3986,3982,},
   /*   VPCMPUQ*/    {5554,5556,5552,5555,5557,5553,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[9], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 5 && memcmp(xed_encode_order[10], xes->_operand_order, sizeof(xed_uint8_t)*5)==0) {
   conditions_satisfied = xed_encode_ntluf_MASK_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_369(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][8] = {
   /*      XCHG*/    {4055,4056,4051,4054,4049,4050,4052,4053,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPRv_SB(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_OrAX(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPRv_SB(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_OrAX(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPR8_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR8_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B) &&
		 xed_encode_ntluf_GPR8_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B) &&
		 xed_encode_ntluf_GPR8_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_370(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][4] = {
   /*    BNDLDX*/    {4057,4058,4059,4060,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mpxmode(xes) == 1) &&
		 (xed3_operand_get_mode(xes) != 2) &&
		 (xed3_operand_get_easz(xes) == 2) &&
		 xed_encode_ntluf_BND_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_BND32);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mpxmode(xes) == 1) &&
		 (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_BND_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_BND64);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mpxmode(xes) == 1) &&
		 (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_BND_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_BND64);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mpxmode(xes) == 1) &&
		 (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_BND_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_BND64);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_371(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][6] = {
   /*VCVTTSD2USI*/    {4077,4074,4076,4073,4078,4075,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_sae(xes) != 0) &&
		 (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR64_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN128_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SAE_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_sae(xes) != 0) &&
		 xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN128_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SAE_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR64_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR64_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GPR_WRITER_LDOP_Q_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GPR_WRITER_LDOP_Q_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_372(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][18] = {
   /*       AND*/    {4108,4107,4100,4103,4102,4105,4099,4101,4096,4092,4104,4098,4094,4106,4091,4097,4093,4095,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = xed_encode_ntluf_OrAX(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMMz_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_reg0(xes) == XED_REG_AL) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPR8_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR8_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPR8_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR8_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B) &&
		 xed_encode_ntluf_GPR8_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 xed_encode_ntluf_GPR8_B(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = xed_encode_ntluf_GPR8_B(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_GPR8_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][11]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][12]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMMz_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][13]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][14]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][15]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][16]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMMz_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][17]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_373(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][2] = {
   /*    FLDENV*/    {4114,4113,},
   /*   FNSTENV*/    {4684,4683,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) != 1) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_MEM28);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) == 1) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_MEM14);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_374(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][2] = {
   /*VEXTRACTF32X8*/    {4117,4118,},
   /*VEXTRACTI32X8*/    {4524,4525,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[23], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_TUPLE8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_375(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][4] = {
   /*   VPEXTRB*/    {4120,4119,4121,4122,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[27], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[27], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GPR_WRITER_STORE_BYTE_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_376(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][4] = {
   /*VEXTRACTPS*/    {5253,5252,5254,5255,},
   /*   VPEXTRD*/    {4124,4123,4125,4126,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[27], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[27], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GPR_WRITER_STORE_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_377(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][4] = {
   /*   VPEXTRQ*/    {4135,4134,4136,4137,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR64_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[27], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR64_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[27], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GPR_WRITER_STORE_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_378(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][6] = {
   /*   VPEXTRW*/    {4139,4140,4138,4141,4143,4142,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[27], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_W) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[27], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_WRD) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GPR_WRITER_STORE_WORD_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_379(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][1] = {
   /*   MOVNTSS*/    {4236,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_380(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][2] = {
   /*VEXTRACTF128*/    {4238,4237,},
   /*VEXTRACTI128*/    {6090,6089,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[27], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_381(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][1] = {
   /*   MOVNTSD*/    {4255,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_382(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][4] = {
   /*   VPINSRB*/    {4261,4260,4262,4263,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GPR_READER_BYTE_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_383(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][4] = {
   /*   VPINSRD*/    {4271,4270,4272,4273,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GPR_READER_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_384(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][4] = {
   /*   VPINSRQ*/    {4277,4276,4278,4279,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_GPR64_B(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_GPR64_B(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GPR_READER_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_385(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][4] = {
   /*   VPINSRW*/    {4287,4286,4288,4289,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_W) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_WRD) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GPR_READER_WORD_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_386(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /* REP_MOVSD*/    {4293,4294,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) == 2);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_OVERRIDE_SEG1_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) == 2);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_OVERRIDE_SEG1_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_387(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /* REP_MOVSB*/    {4295,4296,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = 1;
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_OVERRIDE_SEG1_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = 1;
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_OVERRIDE_SEG1_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_388(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /* REP_MOVSW*/    {4298,4299,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_OVERRIDE_SEG1_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_OVERRIDE_SEG1_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_389(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /* REP_MOVSQ*/    {4300,4301,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) == 3);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_OVERRIDE_SEG1_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) == 3);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_OVERRIDE_SEG1_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_390(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][20] = {
   /*   VMOVAPD*/    {4343,4341,4347,4345,4342,4346,4340,4344,4354,4352,4358,4356,4350,4348,4355,4359,4351,4353,4357,4349,},
   /*   VMOVUPD*/    {5563,5561,5567,5565,5562,5566,5560,5564,5574,5572,5578,5576,5570,5568,5575,5579,5571,5573,5577,5569,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][11]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][12]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][13]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][14]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][15]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_ZD) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][16]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][17]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][18]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_ZD);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][19]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_391(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][2] = {
   /*  CVTPS2PI*/    {4379,4378,},
   /* CVTTPS2PI*/    {5797,5796,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_MMX_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_MMX_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_392(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][20] = {
   /*   VMOVAPS*/    {4385,4383,4389,4387,4384,4388,4382,4386,4396,4394,4400,4398,4392,4390,4397,4401,4393,4395,4399,4391,},
   /*   VMOVUPS*/    {5533,5531,5537,5535,5532,5536,5530,5534,5544,5542,5548,5546,5540,5538,5545,5549,5541,5543,5547,5539,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][11]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][12]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][13]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][14]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][15]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_ZD) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][16]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][17]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][18]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_ZD);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][19]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_393(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][6] = {
   /*VBROADCASTSD*/    {4408,4407,4412,4410,4411,4409,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_TUPLE1_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_TUPLE1_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_394(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][7] = {
   /* VSCALEFPD*/    {4414,4416,4418,4413,4417,4419,4415,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = (xed3_operand_get_roundc(xes) != 0) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN512_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_AVX512_ROUND_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_395(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][7] = {
   /*VCVTTPS2QQ*/    {5048,5043,5045,5047,5044,5046,5049,},
   /*VCVTTPS2UQQ*/    {4428,4423,4425,4427,4424,4426,4429,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_sae(xes) != 0) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN512_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SAE_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_HALF_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_HALF_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_HALF_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_396(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][10] = {
   /*   VPSADBW*/    {4460,4462,4459,4461,4463,4465,4467,4464,4466,4468,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_ZD);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_8_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_397(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][1] = {
   /*    XBEGIN*/    {4469,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_RELBR) {
   conditions_satisfied = (xed3_operand_get_relbr(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_BRDISPz_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_398(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][7] = {
   /* VSCALEFPS*/    {4480,4482,4484,4479,4483,4485,4481,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = (xed3_operand_get_roundc(xes) != 0) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN512_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_AVX512_ROUND_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_399(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][18] = {
   /*        OR*/    {4503,4502,4495,4499,4497,4501,4494,4496,4491,4487,4498,4493,4489,4500,4486,4492,4488,4490,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = xed_encode_ntluf_OrAX(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMMz_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_reg0(xes) == XED_REG_AL) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPR8_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR8_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPR8_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR8_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B) &&
		 xed_encode_ntluf_GPR8_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 xed_encode_ntluf_GPR8_B(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = xed_encode_ntluf_GPR8_B(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_GPR8_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][11]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][12]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMMz_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][13]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][14]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][15]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][16]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMMz_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][17]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_400(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][3] = {
   /*      FXCH*/    {4521,4522,4523,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_reg0(xes) == XED_REG_ST0) &&
		 xed_encode_ntluf_X87(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_reg0(xes) == XED_REG_ST0) &&
		 xed_encode_ntluf_X87(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_reg0(xes) == XED_REG_ST0) &&
		 xed_encode_ntluf_X87(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_401(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /*    PEXTRW*/    {4536,4537,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MMX_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_402(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /*    PEXTRQ*/    {4539,4538,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR64_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[27], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_403(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][2] = {
   /* EXTRACTPS*/    {5408,5407,},
   /*    PEXTRD*/    {4562,4561,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[27], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_404(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /*    PEXTRB*/    {4564,4563,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[27], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_405(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][7] = {
   /*VCVTPS2UDQ*/    {4621,4623,4625,4620,4624,4626,4622,},
   /*VCVTUDQ2PS*/    {5978,5980,5982,5977,5981,5983,5979,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_roundc(xes) != 0) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN512_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_AVX512_ROUND_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_406(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][12] = {
   /* VMOVDQA32*/    {4704,4702,4708,4706,4700,4698,4705,4709,4701,4703,4707,4699,},
   /* VMOVDQU32*/    {4675,4673,4679,4677,4671,4669,4676,4680,4672,4674,4678,4670,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_ZD) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_ZD);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][11]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_407(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][2] = {
   /*    LWPINS*/    {4682,4681,},
   /*    LWPVAL*/    {5453,5452,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_GPRy_N(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM32_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[14], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_GPRy_N(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM32_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_408(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][3] = {
   /* VSCALEFSD*/    {4686,4685,4687,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = (xed3_operand_get_roundc(xes) != 0) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN128_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_AVX512_ROUND_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_SCALAR_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_409(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][3] = {
   /* VSCALEFSS*/    {4696,4695,4697,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = (xed3_operand_get_roundc(xes) != 0) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN128_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_AVX512_ROUND_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[7], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_SCALAR_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_410(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][11] = {
   /*VCVTTPD2DQ*/    {4732,4728,4730,4727,4729,4734,4736,4731,4735,4737,4733,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_sae(xes) != 0) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN512_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SAE_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULL_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_411(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][11] = {
   /* VCVTPS2PH*/    {4854,4850,4852,4851,4849,4856,4858,4853,4859,4857,4855,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = (xed3_operand_get_sae(xes) != 0) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN512_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SAE_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[27], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[27], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[23], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_HALFMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[23], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_HALFMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[23], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_HALFMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_412(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][11] = {
   /* VCVTPS2PD*/    {4892,4888,4890,4887,4889,4894,4896,4891,4895,4897,4893,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_sae(xes) != 0) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN512_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SAE_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_HALF_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_HALF_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_HALF_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_413(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][8] = {
   /*    VMOVSD*/    {4901,4899,4900,4898,4905,4904,4903,4902,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_SCALAR_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_SCALAR_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_414(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][8] = {
   /*    VMOVSS*/    {4909,4907,4908,4906,4913,4912,4911,4910,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[6], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg2(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg3(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_SCALAR_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_SCALAR_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_415(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /*      ARPL*/    {4915,4914,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 xed_encode_ntluf_GPR16_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR16_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_W) &&
		 xed_encode_ntluf_GPR16_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_416(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /*     OUTSD*/    {4919,4920,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) == 2);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_OVERRIDE_SEG0_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) == 3);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_OVERRIDE_SEG0_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_417(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /*    MOVNTI*/    {4926,4927,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) != 3) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D) &&
		 xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) == 3) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 xed_encode_ntluf_GPR64_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_418(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][8] = {
   /*    BNDMOV*/    {4940,4936,4941,4937,4942,4938,4943,4939,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mpxmode(xes) == 1) &&
		 xed_encode_ntluf_BND_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_BND_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mpxmode(xes) == 1) &&
		 xed_encode_ntluf_BND_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_BND_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mpxmode(xes) == 1) &&
		 (xed3_operand_get_mode(xes) == 0) &&
		 (xed3_operand_get_easz(xes) == 2) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 xed_encode_ntluf_BND_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mpxmode(xes) == 1) &&
		 (xed3_operand_get_mode(xes) == 0) &&
		 (xed3_operand_get_easz(xes) == 2) &&
		 xed_encode_ntluf_BND_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mpxmode(xes) == 1) &&
		 (xed3_operand_get_mode(xes) == 1) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 xed_encode_ntluf_BND_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mpxmode(xes) == 1) &&
		 (xed3_operand_get_mode(xes) == 1) &&
		 xed_encode_ntluf_BND_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mpxmode(xes) == 1) &&
		 (xed3_operand_get_mode(xes) == 2) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 xed_encode_ntluf_BND_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mpxmode(xes) == 1) &&
		 (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_BND_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_419(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][1] = {
   /*    MOVNTQ*/    {4944,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 xed_encode_ntluf_MMX_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_420(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /*       LAR*/    {4953,4952,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_W);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_421(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /*   ROUNDPS*/    {4966,4965,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[14], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_PS) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_422(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /* BEXTR_XOP*/    {4986,4985,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_GPRy_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPRy_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM32_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[14], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_GPRy_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Y) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM32_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_423(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][1] = {
   /*   VMCLEAR*/    {5036,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_424(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][10] = {
   /* VPMOVSXWQ*/    {6218,6220,6219,6221,6224,6226,6222,6225,6227,6223,},
   /* VPMOVZXWQ*/    {5055,5057,5056,5058,5061,5063,5059,5062,5064,5060,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_QUARTERMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_QUARTERMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_QUARTERMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_425(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /*     EXTRQ*/    {5077,5076,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[31], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1) &&
		 (xed3_operand_get_imm1(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_1_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_426(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][10] = {
   /* VPMOVSXWD*/    {6208,6210,6209,6211,6214,6216,6212,6215,6217,6213,},
   /* VPMOVZXWD*/    {5078,5080,5079,5081,5084,5086,5082,5085,5087,5083,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_HALFMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_HALFMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_16_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_HALFMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_427(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /*     CMPSS*/    {5090,5089,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IGNORE66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[14], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_SS) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IGNORE66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_428(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][5] = {
   /* VMOVNTDQA*/    {5183,5184,5186,5187,5185,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_ZD);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_429(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][1] = {
   /*MASKMOVDQU*/    {5192,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_OVERRIDE_SEG0_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_430(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][6] = {
   /*VBROADCASTI32X2*/    {5211,5213,5215,5212,5214,5216,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_TUPLE2_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_TUPLE2_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_TUPLE2_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_431(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][18] = {
   /*       XOR*/    {5244,5243,5236,5239,5238,5241,5235,5237,5232,5228,5240,5234,5230,5242,5227,5233,5229,5231,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = xed_encode_ntluf_OrAX(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMMz_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_reg0(xes) == XED_REG_AL) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPR8_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR8_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPR8_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR8_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B) &&
		 xed_encode_ntluf_GPR8_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 xed_encode_ntluf_GPR8_B(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = xed_encode_ntluf_GPR8_B(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_GPR8_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][11]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_B(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][12]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMMz_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][13]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][14]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][15]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_V) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][16]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMMz_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][17]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_432(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][12] = {
   /* VCVTSS2SI*/    {5272,5269,5263,5265,5267,5262,5264,5266,5271,5268,5273,5270,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_roundc(xes) != 0) &&
		 (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR64_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN128_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_AVX512_ROUND_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_roundc(xes) != 0) &&
		 xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN128_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_AVX512_ROUND_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR64_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR64_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR64_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR64_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GPR_WRITER_LDOP_D_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][11]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GPR_WRITER_LDOP_D_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_433(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][1] = {
   /*  MOVMSKPS*/    {5276,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_434(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][1] = {
   /*  MOVMSKPD*/    {5281,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_435(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][4] = {
   /* MOVSD_XMM*/    {5323,5321,5322,5320,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IGNORE66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IGNORE66_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_SD) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IGNORE66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_SD);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IGNORE66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_436(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][1] = {
   /*     FBSTP*/    {5353,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_MEM80DEC) &&
		 (xed3_operand_get_reg0(xes) == XED_REG_ST0);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_437(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][12] = {
   /*VCVTTSS2SI*/    {5393,5390,5384,5386,5388,5383,5385,5387,5392,5389,5394,5391,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_sae(xes) != 0) &&
		 (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR64_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN128_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SAE_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_sae(xes) != 0) &&
		 xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN128_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SAE_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR64_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR64_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR64_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR64_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GPR_WRITER_LDOP_D_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][11]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GPR_WRITER_LDOP_D_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_438(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][4] = {
   /*      FCOM*/    {5411,5412,5410,5409,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_reg0(xes) == XED_REG_ST0) &&
		 xed_encode_ntluf_X87(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_reg0(xes) == XED_REG_ST0) &&
		 xed_encode_ntluf_X87(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_reg0(xes) == XED_REG_ST0) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_M64REAL);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_reg0(xes) == XED_REG_ST0) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_MEM32REAL);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_439(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][4] = {
   /* VINSERTPS*/    {5449,5448,5450,5451,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[16], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 4 && memcmp(xed_encode_order[17], xes->_operand_order, sizeof(xed_uint8_t)*4)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_TUPLE1_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_440(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][6] = {
   /*      FSTP*/    {5473,5474,5475,5472,5470,5471,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_X87(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_reg1(xes) == XED_REG_ST0);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_X87(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_reg1(xes) == XED_REG_ST0);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_X87(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_reg1(xes) == XED_REG_ST0);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_M64REAL) &&
		 (xed3_operand_get_reg0(xes) == XED_REG_ST0);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_MEM32REAL) &&
		 (xed3_operand_get_reg0(xes) == XED_REG_ST0);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_MEM0 && xes->_operand_order[1] == XED_OPERAND_REG0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_MEM80REAL) &&
		 (xed3_operand_get_reg0(xes) == XED_REG_ST0);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_441(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /*    MOVSXD*/    {5510,5509,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_442(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][1] = {
   /*       AAD*/    {5513,},
   /*       AAM*/    {5515,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_IMM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_SIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_443(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][6] = {
   /*      RORX*/    {5618,5619,5622,5620,5621,5623,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 xed_encode_ntluf_VGPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_VGPR32_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_VGPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_VGPR32_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_VGPR64_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_VGPR64_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[14], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 xed_encode_ntluf_VGPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[14], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_VGPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[14], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_VGPR64_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_444(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][4] = {
   /* REP_OUTSD*/    {5624,5626,5625,5627,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) == 2);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_OVERRIDE_SEG0_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) == 2);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_OVERRIDE_SEG0_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) == 3);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_OVERRIDE_SEG0_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_eosz(xes) == 3);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_OVERRIDE_SEG0_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_445(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][1] = {
   /*  MASKMOVQ*/    {5694,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_MMX_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MMX_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_OVERRIDE_SEG0_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_446(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[3][6] = {
   /*VPCMPESTRI*/    {5707,5709,5711,5706,5708,5710,},
   /*VPCMPESTRM*/    {5713,5715,5717,5712,5714,5716,},
   /*VPCMPISTRI*/    {5850,5852,5854,5849,5851,5853,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[14], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[14], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[14], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_447(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /*    PSHUFW*/    {5795,5794,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_MMX_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MMX_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[14], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_MMX_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_448(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][2] = {
   /*  INSERTPS*/    {5927,5926,},
   /*   ROUNDSS*/    {6410,6409,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[14], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_449(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[2][12] = {
   /* VMOVDQA64*/    {5996,5994,6000,5998,5992,5990,5997,6001,5993,5995,5999,5991,},
   /* VMOVDQU64*/    {5966,5964,5970,5968,5962,5960,5967,5971,5963,5965,5969,5961,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_ZMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[13], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_ZD) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_QQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_ZD);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][11]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_FULLMEM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_450(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][6] = {
   /*VCVTUDQ2PD*/    {6006,6008,6004,6007,6009,6005,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_HALF_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_HALF_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_HALF_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_451(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][10] = {
   /* VCVTDQ2PD*/    {6055,6057,6054,6056,6060,6062,6058,6061,6063,6059,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_DQ);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_YMM_B3(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_HALF_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_YMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_HALF_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_ZMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_MASK1(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_VV);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_HALF_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_452(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][12] = {
   /* VCVTSI2SS*/    {6120,6117,6111,6113,6115,6110,6112,6114,6119,6116,6121,6118,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_roundc(xes) != 0) &&
		 (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_GPR64_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN128_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_AVX512_ROUND_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_roundc(xes) != 0) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN128_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_AVX512_ROUND_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_GPR64_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_GPR64_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GPR_READER_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][11]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GPR_READER_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_453(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][11] = {
   /* VCVTSI2SD*/    {6181,6173,6175,6177,6172,6174,6176,6180,6178,6182,6179,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_roundc(xes) != 0) &&
		 (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_GPR64_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN128_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_AVX512_ROUND_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_GPR64_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][6]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_GPR64_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][7]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[5], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg1(xes)) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg2(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][8]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][9]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_64_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GPR_READER_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[4], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R3(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_N3(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][10]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GPR_READER_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_454(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][6] = {
   /*VCVTTSS2USI*/    {6202,6199,6201,6198,6203,6200,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_sae(xes) != 0) &&
		 (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR64_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN128_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SAE_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_sae(xes) != 0) &&
		 xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_FIX_ROUND_LEN128_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_SAE_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR64_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_REG1) {
   conditions_satisfied = xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B3(xes,xed3_operand_get_reg1(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_GPR64_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][4]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GPR_WRITER_LDOP_D_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = xed_encode_ntluf_GPR32_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][5]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_ESIZE_32_BITS_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_NELEM_GPR_WRITER_LDOP_D_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_455(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /*     BOUND*/    {6242,6243,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 0) &&
		 xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_A16);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 2 && xes->_operand_order[0] == XED_OPERAND_REG0 && xes->_operand_order[1] == XED_OPERAND_MEM0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 1) &&
		 xed_encode_ntluf_GPRv_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_A32);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_456(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][1] = {
   /*SYSCALL_AMD*/    {6248,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) != 2);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_IGNORE66_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_457(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][4] = {
   /*    PINSRW*/    {6297,6296,6299,6298,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_MMX_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[14], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_MMX_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_W) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][2]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[14], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_W) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][3]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_458(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /*    PINSRQ*/    {6301,6300,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR64_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[14], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = (xed3_operand_get_mode(xes) == 2) &&
		 xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_459(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /*    PINSRD*/    {6303,6302,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[14], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_D) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_460(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /*    PINSRB*/    {6305,6304,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_GPR32_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[14], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_B) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_461(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][1] = {
   /*     BSWAP*/    {6406,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 1 && xes->_operand_order[0] == XED_OPERAND_REG0) {
   conditions_satisfied = xed_encode_ntluf_GPRv_SB(xes,xed3_operand_get_reg0(xes));
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
xed_bool_t xed_encode_group_462(xed_encoder_request_t* xes)
{
   xed_bool_t okay=1;
   xed_bool_t conditions_satisfied=0;
   xed_ptrn_func_ptr_t fb_ptrn_function;
   static const xed_uint16_t iform_ids[1][2] = {
   /*   ROUNDSD*/    {6416,6415,},
   };
   xed_uint8_t iclass_index = xed_encoder_get_iclasses_index_in_group(xes);
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[15], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 xed_encode_ntluf_XMM_B(xes,xed3_operand_get_reg1(xes)) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][0]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   if (xes->_n_operand_order == 3 && memcmp(xed_encode_order[14], xes->_operand_order, sizeof(xed_uint8_t)*3)==0) {
   conditions_satisfied = xed_encode_ntluf_XMM_R(xes,xed3_operand_get_reg0(xes)) &&
		 (xed3_operand_get_mem0(xes) == 1) &&
		 xed_encoder_request__memop_compatible(xes,XED_OPERAND_WIDTH_Q) &&
		 (xed3_operand_get_imm0(xes) == 1);
   if (conditions_satisfied) {
       okay=1;
       xed_encoder_request_set_iform_index(xes,iform_ids[iclass_index][1]);
       fb_ptrn_function = xed_encoder_get_fb_ptrn(xes);
       (*fb_ptrn_function)(xes);
       if (okay)
           okay = xed_encode_nonterminal_REFINING66_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_MODRM_BIND(xes);
       if (okay)
           okay = xed_encode_nonterminal_UIMM8_BIND(xes);
       if (okay) return 1;
   }
     }
   return 0;
   (void) okay;
   (void) conditions_satisfied;
   (void) xes;
}
